<?php

	if (!defined("ENV")) exit();

	pageHeader("Shopzilla Data Feed Export", "", "");
	$action = isset($action)?trim($action):"";
	if($action == "update_shopzilla_settings" && !DEMO_LOCK){
		$form = isset($form)?$form:array();
		reset($form);
		foreach($form as $name=>$value){
			$db->reset();
			$db->assignStr("value", $value);
			$db->update(DB_PREFIX."settings", "WHERE name='".$name."'");
			$settings[$name] = $value;
		}
		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>"<b>Shopzilla Settings have been saved</b>", "url"=>"", "visible"=>true),
			array("icon"=>"ic_arrow_left2.gif", "text"=>"Back to Shopzilla Page", "url"=>"admin.php?p=export_shopzilla", "visible"=>true),
		));


	}

	else{
		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>
				"For your products to appear in Shopzilla's product search engine, you must provide a Product Listings ".
				"Datafeed. Shopzilla will process your datafeed every 36 - 48 hours to ensure that the most current version  ".
				"of your product listings appear in our product search engine.", "url"=>"", "visible"=>true),
			array("icon"=>"ic_hint.gif", "text"=>
				"<b>ROI Tracker: </b>".
				"Monitor your conversion rates and improve your campaign performance using Shopzilla's free conversion tracking tool.",
				"url"=>"", "visible"=>true),
			array("icon"=>"ic_link.gif", "text"=>"<a target=\"_new\" href=\"http://www.shopzilla.com/\">Click Here to Visit Shopzilla</a>", "url"=>"", "visible"=>true)
		));

		$last_active_tab = isset($last_active_tab)?trim($last_active_tab):"idTabSettings";
		pageTabs(array(
			array("title"=>"Settings", "id"=>"Settings", "active"=>$last_active_tab == "idTabSettings", "width"=>100),
			array("title"=>"Export Data Feed", "id"=>"Datafeed", "active"=>$last_active_tab == "idTabDatafeed", "width"=>100, "visible"=>true),
			// array("title"=>"Export To Shopzilla", "id"=>"Shopzilla", "active"=>$last_active_tab == "idTabShopzilla", "width"=>100, "visible"=>true)
		));
?>
<div id="idTabSheetSettings" class="<?=$last_active_tab == "idTabSettings"?"sheetActive":"sheetUnactive"?>">
<table width="100%" cellpadding="0" cellspacing="5" border="0">
<form name="frmShopzillaSettings" action="admin.php?p=export_shopzilla" method="post">
<input type="hidden" name="action" value="update_shopzilla_settings">
	<tr>
		<td colspan="2" class="formHeader">
			<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"/></div>
			<div class="formHeaderText">Shopzilla Settings</div>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Shopzilla Merchant Identification Number</td>
		<td class="formItemControl"><input type="text" style="width:250px;" name="form[ShopzillaMerchantId]" value="<?=htmlspecialchars($settings["ShopzillaMerchantId"])?>"></td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Shopzilla Username</td>
		<td class="formItemControl"><input type="text" style="width:250px;" name="form[ShopzillaUsername]" value="<?=htmlspecialchars($settings["ShopzillaUsername"])?>"></td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Shopzilla Password</td>
		<td class="formItemControl"><input type="text" style="width:250px;" name="form[ShopzillaPassword]" value="<?=htmlspecialchars($settings["ShopzillaPassword"])?>"></td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">Shopzilla's ROI Tracker</td>
		<td class="formItemControl">
			<select style="width:123px;" name="form[ShopzillaROITracker]">
				<option value="YES">Yes</option>
				<option value="NO" <?=$settings["ShopzillaROITracker"]=="NO"?"selected":""?>>No</option>
			</select>
		</td>
	</tr>
	<tr valign="top">
		<td class="formItemCaption">BizRate Survey Invitation</td>
		<td class="formItemControl">
			<select style="width:123px;" name="form[SurveyInvitation]">
				<option value="YES">Yes</option>
				<option value="NO" <?=$settings["SurveyInvitation"]=="NO"?"selected":""?>>No</option>
			</select>
		</td>
	</tr>
	<tr valign="top">
		<td colspan="2" class="formButtons">
			<input type="image" src="images/admin/bt_nl_save.gif">
		</td>
	</tr>
</form>
</table>
</div>

<div id="idTabSheetDatafeed" class="<?=$last_active_tab == "idTabDatafeed"?"sheetActive":"sheetUnactive"?>">
<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<form name="frmShopzill" target="_blank" action="admin.php?p=export_shopzilla_process&chart=true" method="post">
	<tr>
		<td class="formHeader">
			<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"/></div>
			<div class="formHeaderText">Export Data Feed</div>
		</td>
	</tr>
	<tr>
		<td><?
		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>
				"This feature allows you to save shopzilla datafeed file on your computer.<br/>".
				"Click \"Export Datafeed\" button below to get your file", "url"=>"", "visible"=>true
			)
		));
		?></td>
	</td>
	<tr>
		<td class="formButtons">
			<input type="image" src="images/admin/bt_export_data_feed.gif">
		</td>
	</tr>
	</form>
</table>
</div>


<?php
/*
<div id="idTabSheetShopzilla" class="<?=$last_active_tab == "idTabShopzilla"?"sheetActive":"sheetUnactive"?>">
<table width="100%" cellpadding="0" cellspacing="5" border="0">
	<form name="frmShopzillAPI" action="admin.php?p=export_shopzilla_data" method="post">
	<tr>
		<td class="formHeader">
			<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"/></div>
			<div class="formHeaderText">Export Shopzilla</div>
		</td>
	</tr>
	<tr>
		<td><?
		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>
				"This feature allows you to export your products directly to a Shopzilla.<br/>".
				"Click \"Export To Shopzilla\" button to do it now", "url"=>"", "visible"=>true
			)
		));
		?></td>
	</td>
	<tr>
		<td class="formButtons">
			<input type="image" src="images/admin/bt_export_to_shopzilla.gif">
		</td>
	</tr>
	</form>
</table>
</div>
*/
?>
<?
	}
?>