<?php
	if (!defined("ENV")) exit();

	pageHeader("Google Tools", "", "");
	$action = isset($action)?trim($action):"";
	if($action == "update_google_code" && !DEMO_LOCK){
		$form = isset($form)?$form:array();
		reset($form);
		$at_tab = "idTabMain";
		foreach($form as $name=>$value)
		{
			if ($name =="GoogleConversion")
			{
				$c_code = $value;
				if (writeTemplateFile("templates/pages/google/conversion_code.html", $c_code))
				{
					$msg = "Google code Page has been successfully saved.";
				}
			}
			elseif( $name =="GoogleAdwordsConversion")
			{
				$ac_code = $value;
				if (writeTemplateFile("templates/pages/google/adwords_conversion.html", $ac_code))
				{
					$msg = "Google code Page has been successfully saved.";
				}
			}
			else
			{
				$db->reset();
				$db->assignStr("value", $value);
				$db->update(DB_PREFIX."settings", "WHERE name='".$name."'");
				$msg = "Google code has been successfully saved.";
			}
			$db->reset();
			$active_var=$name."Active";
			if (isset($settings[$active_var]))
			{
				$db->assignStr("value", isset($_POST[$active_var]) ? "YES" : "NO");
				$db->update(DB_PREFIX."settings", "WHERE name='".$active_var."'");
			}
			$settings[$name] = $value;
			$at_tab = trim(str_replace("Google", "idTab", $name));
		}

		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>$msg , "url"=>"", "visible"=>true),
			array("icon"=>"ic_arrow_left2.gif", "text"=>"Back to Google Marketing", "url"=>"admin.php?p=google_marketing&last_active_tab=$at_tab", "visible"=>true),
		));

	}
	else
	{
		if (!($c_code = readTemplateFile("templates/pages/google/conversion_code.html")))
		{
			$c_code = "Can't open conversion_code.html file";
		}
		if (!($ac_code = readTemplateFile("templates/pages/google/adwords_conversion.html")))
		{
			$c_code = "Can't open adwords_conversion.html file";
		}

?>
<table cellpadding="0" cellspacing="0" border="0" width="100%"><tr><td>
<?
	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>
			"Google supplies business owners with a variety of tools that can help you gain more exposure, track visitors and sales conversions.  <br>".
			"Click on the tabs below for a summary of the tools and how it can assist you in growing your business.", "url"=>"", "visible"=>true),
	));
?>
</tr></table>

<?
	$last_active_tab = isset($last_active_tab)?trim($last_active_tab):"idTabMain";
		pageTabs(array(
			array("title"=>"Google Base Feed", "id"=>"Main", "active"=>$last_active_tab == "idTabMain", "width"=>140, "visible"=>true),
			array("title"=>"Analytics Tracking", "id"=>"Analytics", "active"=>$last_active_tab == "idTabAnalytics", "width"=>140, "visible"=>true),
			array("title"=>"Conversion Tracking", "id"=>"Conversion", "active"=>$last_active_tab == "idTabConversion", "width"=>140, "visible"=>true),
			array("title"=>"Adwords Conversion Tracking", "id"=>"AdwordsConversion", "active"=>$last_active_tab == "idTabAdwordsConversion", "width"=>200, "visible"=>true),
			array("title"=>"Sitemap Export", "id"=>"Sitemap", "active"=>$last_active_tab == "idTabSitemap", "width"=>140, "visible"=>true)
		));

?>
<!--
<tr valign="top">
		<td class="formButtons" colspan="2">

	</div>
		</td>
		</tr> -->
<div id="idTabSheetMain" class="<?=$last_active_tab == "idTabMain"?"sheetActive":"sheetUnactive"?>" style="padding:0px;margin:0px;">


<form name="frmFroogle" target="_blank" action="admin.php?p=export_froogle_process&chart=true" method="post">
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="3">
				<div class="formHeaderIcon"><img src="images/icons/ic_open_folder.gif"></div>
				<div class="formHeaderText">Google Base</div>
			</td>
		</tr>

		<tr valign="top">
			<td class="formItemCaption" style="padding-top:10px;">Product Description</td>
			<td class="formItemControl" style="padding-top:10px;">
				<select name="de" style="width:250px;">
					<option value="overview">Use quick overview</option>
					<option value="description">Use detailed description</option>
				</select>
			</td>
			<td rowspan="3" style="border-left:1px solid #E0E0E0;padding:5px 0px 0px 10px;"><b>Google Base</b><br /><br />
				Google Base is an online database and free Web publishing service provided by <a href="http://google.com" target="_new">Google</a> that allows users to upload their own content/products. Posted products is searchable using the Google Base search engine, and may also be included in other Google databases such as Froogle and Google Local. Items published in this manner have unique Web addresses and can be viewed worldwide. This tool will create a product feed that can be easily posted into Google Base.
				<br /><br />
				<a href="http://base.google.com/support/bin/answer.py?answer=59260&hl=en">Click here</a> for more information regarding Google Base.
				<br /><br /><a href="https://www.google.com/accounts/NewAccount">Click here</a> to sign up for an account on Google.
			</td>
		</tr>
	<!--	<tr valign="top">
			<td class="formItemCaption">Type of Service</td>
			<td class="formItemControl">
				<input type="text" style="width:250px;" name="service_type" value="">
				<div class="formItemComment">The type of service being offered</div>
			</td>
		</tr> -->
		<tr valign="top">
			<td class="formItemCaption">Feed Expiration Date MM/DD/YYYY</td>
			<td class="formItemControl">
				<select name="expmonth" style="width:40px;">
<?				for($i=1; $i<=12; $i++){?>
					<option value="<?=$i?>"><?=$i?></option>
<?				}?>
				</select>
				/
				<select name="expday" style="width:40px;">
<?				for($i=1; $i<=31; $i++){?>
					<option value="<?=$i?>"><?=$i?></option>
<?				}?>
				</select>
				/
				<select name="expyear" style="width:60px;">
<?				for($i=2010; $i<=2018; $i++){?>
					<option value="<?=$i?>"><?=$i?></option>
<?				}?>
				</select>
			</td>
		</tr>
		<tr valign="top"><td colspan="2">&nbsp;</td></tr>
	</table>
<div class="formButtons">
	<input type="image" src="images/admin/bt_export_data_feed.gif">
</div>
</form>
</div>

<div id="idTabSheetAdwordsConversion" class="<?=$last_active_tab == "idTabAdwordsConversion"?"sheetActive":"sheetUnactive"?>" style="padding:0px;margin:0px;">
	<form name="frmAdwordsConversion" action="admin.php?p=google_marketing" method="post">
	<input type="hidden" name="action" value="update_google_code">
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_open_folder.gif"></div>
				<div class="formHeaderText">Adwords Conversion Tracking</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption" style="padding-right:10px;">
			<input id="ch_GoogleAdwordsConversion" type="checkbox" value="YES" <?=$settings["GoogleAdwordsConversionActive"]=='YES'?'checked="checked"':""?> name="GoogleAdwordsConversionActive"/>Activate Adwords Conversion Tracking Code<br /><br />
				<textarea class="no-mce" wrap="off" cols="60" rows="8" style="height:200px;" class="content" id="GoogleAdwordsConversion" name="form[GoogleAdwordsConversion]"><?=$ac_code?></textarea>
			</td>
			<td style="border-left:1px solid #E0E0E0;padding-left:10px;"><b>Adwords Conversion Tracking</b><br />
			<br />To begin to tracking Adwords conversions you will need to sign up for a Google Adwords Account. Once you have an account you will need to activate "Conversion Tracking" within the Adwords Account management area and paste the code provided to you in the text box on the left.
			<br /><br />For additional information on Adwords conversion tracking, please reference the help files found within your Google Adwords Management area.
			<br /><br /><a href="https://www.google.com/accounts/NewAccount?">Click here</a> to sign up for an account on Google.
			</td>
		</tr>
	</table>
	<div class="formButtons">
		<input type="image" src="images/admin/bt_save_changes.gif">
	</div>
</form>
</div>

<div id="idTabSheetAnalytics" class="<?=$last_active_tab == "idTabAnalytics"?"sheetActive":"sheetUnactive"?>" style="padding:0px;margin:0px;">
	<form name="frmAnalytics" action="admin.php?p=google_marketing" method="post">
	<input type="hidden" name="action" value="update_google_code">
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_open_folder.gif"></div>
				<div class="formHeaderText">Google Analytics</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption" style="padding-right:10px;"><input id="ch_GoogleAnalytics" type="checkbox" value="YES" <?=$settings["GoogleAnalyticsActive"]=='YES'?'checked="checked"':""?> name="GoogleAnalyticsActive"/>Activate Google Analytics Tracking Code <br /><br />
			<textarea class="no-mce" wrap="off" cols="60" rows="8" style="height:200px;" class="content" id="GoogleAnalytics" name="form[GoogleAnalytics]"><?=$settings["GoogleAnalytics"]?></textarea>
			</td>
			<td style="border-left:1px solid #E0E0E0;padding-left:10px;"><b>Google Analytics</b><br /><br />
				Use Google Analytics to learn more about where your visitors come from and how they interact with your site. You'll get the information you need to write better ads, strengthen your marketing initiatives, and create higher-converting websites. Google Analytics is free to everyone, whether you are an advertiser, publisher, or site owner. Since the code provided may change, it is strongly suggested you refer to the documentation provided by Google at this link, http://code.google.com/apis/analytics/docs/ to make sure you are using the most up to date method for tracking.
				<br /><br /><b>Important</b> - Site tracking will not work until you replace the example tracking ID (UA-xxxxxxx) with an actual tracking ID provided to you when you sign up for Google Analytics.  Please do not activate this code until you have added your tracking ID.
				<br /><br /><a href="http://www.google.com/analytics/">Click here</a> for more information regarding Google Analytics.
				<br /><br /><a href="https://www.google.com/accounts/NewAccount?">Click here</a> to sign up for an account on Google. </td>
		</tr>
	</table>
	<div class="formButtons">
		<input type="image" src="images/admin/bt_save_changes.gif">
	</div>
	</form>
</div>




<div id="idTabSheetConversion" class="<?=$last_active_tab == "idTabConversion"?"sheetActive":"sheetUnactive"?>" style="padding:0px;margin:0px;">
	<form name="frmConversion" action="admin.php?p=google_marketing" method="post">
	<input type="hidden" name="action" value="update_google_code">
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_open_folder.gif"></div>
				<div class="formHeaderText">Analytics Conversion Tracking </div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption" style="padding-right:10px;"><input id="ch_GoogleConversion" type="checkbox" value="YES" <?=$settings["GoogleConversionActive"]=='YES'?'checked="checked"':""?> name="GoogleConversionActive"/>Activate Conversion Tracking Code<br /><br />
			<textarea class="no-mce" wrap="off" cols="60" rows="8" style="height:400px;" class="content" id="GoogleConversion" name="form[GoogleConversion]"><?=$c_code?></textarea>
			</td>
			<td style="border-left:1px solid #E0E0E0;padding-left:10px;"><b>Analytics Conversion Tracking</b><br /><br />Before Google Analytics can begin to report ecommerce activity on your website, you must enable ecommerce tracking on the profile settings page for your website within Google Analytics. Once that is complete, you can activate the Conversion Tracking Code and start tracking conversions through Google Analytics. Google may change or update the code so it is strongly suggested you refer to the documentation provided by Google at this link, <a href="http://code.google.com/apis/analytics/docs/" target="_new">http://code.google.com/apis/analytics/docs/</a> to be sure you are using the most up to date method for tracking.
			<br /><br />This code passes the following information over to Google Analytics for tracking purposes.
			<br /><br />Order ID
			<br />Tax
			<br />Shipping
			<br />City
			<br />State
			<br />Country
			<br /><br />Additionally this code will track individual items in each order including:
			<br /><br />Order ID - necessary to associate item with transaction
			<br />Product ID / SKU
			<br />Product name
			<br />Category
			<br />Unit price
			<br />Quantity
			<br /><br />You will have the option of removing per item tracking by removing the per item variables within this code. Please refer to Google Analytics documentation additional information.
			<br /><br /><b>Important</b> - Site tracking will not work until you replace the example tracking ID (UA-xxxxxxx) with an actual tracking ID provided to you when you sign up for Google Analytics.  Please do not activate this code until you have added your tracking ID.
			<br /><br /><a href="http://www.google.com/analytics/">Click here</a> for more information regarding Google Analytics.
			<br /><br /><a href="https://www.google.com/accounts/NewAccount?">Click here</a> to sign up for an account on Google.

			</td>
		</tr>

	</table>
	<div class="formButtons">
		<input type="image" src="images/admin/bt_save_changes.gif">
	</div>
</form>
</div>

<div id="idTabSheetSitemap" class="<?=$last_active_tab == "idTabSitemap"?"sheetActive":"sheetUnactive"?>" style="padding:0px;margin:0px;">
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_open_folder.gif"></div>
				<div class="formHeaderText">Sitemap Export </div>
			</td>
		</tr>
		<tr valign="top">
			<td>
				<?php
					$sitemap = new plugin_google_site_maps();
					$sitemap->runPlugin($db, $settings, $_REQUEST);
				?>
				&nbsp;
			</td>
		</tr>
	</table>

</div>

<?
	}
?>
