<?php
	if (!defined("ENV")) exit();
	$pid = isset($pid)?trim($pid):0;
	$display_flag = true;
	$can_update = true;
	if(_ACCESS_GOOGLE_CHECKOUT || _ACCESS_ALL){
		if ($_SERVER["SERVER_PORT"] != 443 && $_SERVER["SERVER_NAME"] != 'localhost')
		{
			$db->query("SELECT id FROM ".DB_PREFIX."payment_methods WHERE pid='".$pid."'");
			if ($db->moveNext())
			{
				if ($db->col["id"] =="googlecheckout")
				{
					if(substr($settings["GlobalHttpsUrl"],0,5)!="https"){
						$display_flag = false;
					}
					else{
					?>
<script type="text/javascript" language="javascript">
	document.location = '<?=$settings["GlobalHttpsUrl"]?>/admin.php?p=payment_method&mode=update&pid=<?=$pid?>';
</script>
<?
					}
				}
			}
		}
	}
	
	if (!$display_flag)
	{
		pageNote(array(
			array("icon"=>"ic_error.gif", "text"=>"<b>You Can't use Google checkout without SSL", "url"=>"",  "visible"=>true)
		));
	}
	else
	{
		if($pid == "custom"){
			$mode = "insert";
		}
		$mode = isset($mode)?trim($mode):"insert";
		$action = isset($action)?trim($action):"";
		switch($mode)
		{
			case "update" :
			{
				$db->query("SELECT * FROM ".DB_PREFIX."payment_methods WHERE pid='".$pid."'");
				if ($db->moveNext())
				{
					$id = $db->col["id"];
					$active = $db->col["active"];
					if ($action == "enable")
					{
						$active = "Yes";
					}
					$proto = $db->col["proto"];
					$url_to_gateway = $db->col["url_to_gateway"];
					$type = $db->col["type"];
					$priority = $db->col["priority"];
					$id = $db->col["id"];
					$class = $db->col["class"];
					$version = $db->col["version"];
					$name = $db->col["name"];
					$gateway_name = $db->col["gateway_name"];
					$title = $db->col["title"];
					$message_payment = $db->col["message_payment"];
					$message_thankyou = $db->col["message_thankyou"];
					$enable_ccs = $db->col["enable_ccs"];
					//echo $id = trim($id);
					//echo _ACCESS_PAYPAL_ALL ? "yes":"no";
					$can_update = 
						_ACCESS_ALL || 
						(_ACCESS_PAYPAL_IPN && $id == "paypalipn") ||
						(_ACCESS_PAYPAL_PRO && $id == "paypalpro") ||
						(_ACCESS_PAYPAL_ALL && in_array($id, array("paypalec", "paypalipn", "paypalpro", "paypalwppuk", "verisignpflink", "verisignpfpro"))) ||
						(_ACCESS_WORLDPAY && $id == "worldpay") ||
						(_ACCESS_AUTHORIZE && in_array($id, array("authorizenet", "authorizenet_aim_3_1", "authorizenet_cp_1_0", "authorizenet_echeck"))) ||
						(_ACCESS_GOOGLE_CHECKOUT && $id == "googlecheckout");
						
					break;
				}
			}
			case "insert" :
			{
				$mode = "insert";
				$active = "Yes";
				$proto = "https";
				$url_to_gateway = "";
				$type = "custom";
				$priority = 5;
				$id = "";
				$class = "";
				$version = 0;
				$name = "";
				$gateway_name = "New Method";
				$title = "";
				$message_payment = "";
				$message_thankyou = "";
				$enable_ccs = 0;
				break;
			}
		}
		if ($can_update)
		{
			$payment_gateway = false;
		
			if ($type == "cc")
			{
				$gateway_file = escapeFileName($id);
				require_once("content/engine/payment/payment_".$gateway_file.".php");
				eval("\$payment_gateway = new ".$payment_processor_class."();");
			}
		
			loadJS("cf_payment.js");
			
			pageHeader("Payment Method Setup - ".$gateway_name, ucfirst($mode), "ic_payment_".($mode=="update"?"edit":"add").".gif");
			pageNote(array(
				array("icon"=>"ic_hint.gif", "text"=>"<b>Please use caution when making changes to this page. Incorrect values may prevent the gateway from operating correctly.</b>", "url"=>"", "visible"=>true)
			));
			
			// Moneybookers placed above the tabs since it may print pageNotes
			if (in_array($id, array('moneybookers', 'moneybookersacc', 'moneybookersewallet')))
			{
				include_once('content/engine/payment/moneybookers/moneybookers.php');
				loadJS("moneybookers.js");
			}
			
			pageTabs(array(
				array("title"=>"Gateway Properties", "id"=>"Main", "active"=>true, "width"=>140),
			));
?>
	<!--START COMMON SETTINGS-->
	<form name="frmPaymentMethod" action="admin.php?p=payment_method_process" enctype="multipart/form-data" method="post" onSubmit="return CheckPaymentMethodForm(this)">
		<input type="hidden" name="pid" value="<?=$pid?>">
		<input type="hidden" name="mode" value="<?=$mode?>">
		<input type="hidden" name="payment_processor_id" id="payment_processor_id" value="<?=$id?>" />
	<div id="idTabSheetMain" class="sheetActive" style="padding:0px;margin:0px;">
		<table width="100%" cellpadding="0" cellspacing="5" border="0">
			<tr>
				<td class="formHeader" colspan="2">
					<div class="formHeaderIcon"><img src="images/icons/ic_properties.gif"/></div>
					<div class="formHeaderText">Payment Method Properties</div>
				</td>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Payment Method Name</b></td>
			<td class="formItemControl">
				<input type="text" name="name" value="<?=$name?>" style="width:250px;">
				<div class="formHelp">This is the text that will help customers identify this payment method. It will appear in the Payment Selection drop-down box.</div>
			</td>
		</tr>
	<?		if($type == "custom"){?>
		<tr valign="top">
			<td class="formItemCaption">Is This Method Available?</td>
			<td class="formItemControl">
				<select name="active" style="width:123px;">
					<option value="Yes">Yes</option>
					<option value="No" <?=$active=="No"?"selected":""?>>No</option>
				</select>
				<div class="formItemComment">Select "Yes" if you want this payment method to be active. It will be active to receive payments.</div>
			</td>
		</tr>
	<?		}
			else{?>
		<input type="hidden" name="active" value="Yes">
	<?		}?>	
		<tr valign="top">
			<td class="formItemCaption">Protocol</td>
			<td class="formItemControl">
	<?		if(($type=="cc") || ($type == "check")){?>
				<input type="hidden" name="proto" value="https">
	<?		}?>
				<select name="proto" style="width:123px;" <?=(($type=="cc") || ($type == "check"))? "disabled":""?>>
					<option value="http">HTTP</option>
					<option value="https" <?=$proto=="https"?"selected":""?>>HTTPS</option>
				</select>
				<div class="formItemComment">It is strongly recommended to use HTTPS protocol for Credit Card and Check payments</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Priority</td>
			<td class="formItemControl">
				<select name="priority" style="width:123px;">
	<?		for($i=1; $i<=10; $i++){?>
					<option value="<?=$i?>" <?=$i==$priority?"selected":""?>><?=$i?></option>
	<?		}?>
				</select>
				<div class="formItemComment">Priority is used to sort available payment methods in<br/> the Select Payment Method drop-down box</div>
			</td>
		</tr>
	<?		if($payment_gateway && $payment_gateway->support_ccs && $settings["SecurityCCSActive"] == "1" && (_ACCESS_CCS || _ACCESS_ALL)){?>
		<tr valign="top">
			<td class="formItemCaption">Enable CCS</td>
			<td class="formItemControl">
				<select name="enable_ccs" style="width:123px;">
					<option value="0">No</option>
					<option value="1" <?=$enable_ccs=="1"?"selected":""?>>Yes</option>
				</select>
				<div class="formItemComment">Select "Yes" if you want enable CCS</div>
			</td>
		</tr>
	<?		}?>
	</table>
	<!--SERVER SETTINGS-->
	<?		if($type != "custom"){?>
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_server.gif"/></div>
				<div class="formHeaderText">Payment Server Settings</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Payment Processor ID</td>
			<td class="formItemControl"><?=$id?></td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">URL To Gateway</td>
			<td class="formItemControl">
				<input type="text" name="url_to_gateway" value="<?=gs($url_to_gateway)?>" style="width:250px;">
				<div class="formItemComment">
					Changing this URL may disable your gateway.	You should never<br>
					need to change this information unless you have been notified<br>
					to do so by your gateway company
				</div>
			</td>
		</tr>
	<?			if ($payment_gateway && $payment_gateway->is_certificate){
					$cfile = "content/engine/payment/".$payment_gateway->certificate_path;
					$cdir = dirname($cfile);
	?>
		<tr valign="top">
			<td class="formItemCaption">Certificate File</td>
			<td class="formItemControl">
	<?				if(!is_dir($cdir) || !is_writable($cdir)){
						echo '<b><span style="color:#dd0000;">Certificate directry is not writable ('.$cdir.'). Please change directory permissions.</span></b>';
					}
					elseif(file_exists($cfile) && !is_writable($cfile)){
						echo '<b><span style="color:#dd0000;">File is not writable ('.$cfile.'). Please change file permissions.</span></b>';
					}
					else{?>
						<input type="file" name="certificate_file" value="" style="width:250px;">
						<input type="hidden" name="certificate_path" value="<?=$cfile?>">
	<?				}?>
				<div class="formHelp">
					This gateway requires a Security Certificate to work properly.<br>
					Typically, this will be located in the "My Account" area of most gateway providers.
				</div>
	<?				if(file_exists($cfile)){
						echo "&nbsp;<br>Current Certificate:<br><u>".$cfile."</u><br>File Size: ".filesize($cfile)." bytes<br>";
						echo "File change time: ".date("F j, Y, g:i a", filemtime($cfile))."<br>&nbsp;";
					}
	?>			
			</td>
		</tr>	
	<?			}
	?>
		
	<?			$db->query("SELECT * FROM ".DB_PREFIX."settings WHERE group_name LIKE 'payment_".$id."' ORDER BY priority");
				if($db->numRows()>0){
					$i = 0;
					while($db->moveNext())
					{
						
						//modify test mode settings for paymen gateways and trial license
						
						if (!_ACCESS_PAYPAL_LIVE)
						{
							if ($id == "paypalec" && $db->col["name"] == "paypalec_Mode") {$db->col["options"] = "Test";}
							if ($id == "paypalipn" && $db->col["name"] == "paypalipn_Mode") {$db->col["options"] = "TEST";}
							//if ($id == "paypalpro" && $db->col["name"] == "paypalec_Mode") {$db->col["options"] = "Test";}
							if ($id == "paypalwppuk" && $db->col["name"] == "paypalwppuk_Test_Mode") {$db->col["options"] = "YES";}
							//if ($id == "verisignpflink" && $db->col["name"] == "paypalec_Mode") {$db->col["options"] = "Test";}
							if ($id == "verisignpfpro" && $db->col["name"] == "verisignpfpro_ProcessingMode") {$db->col["options"] = "Test";}
						}
						
						//"paypalipn", "paypalpro", "paypalwppuk", "verisignpflink", "verisignpfpro"
						
						$words = explode("_", $db->col["name"]);
						if (trim($db->col["caption"]) != "")
						{
							$param_name = $db->col["caption"];
						}
						else
						{
							$param_name = substr($db->col["name"], strlen($id), strlen($db->col["name"]) - strlen($id));
							$param_name = ucwords(strtolower(str_replace("_", " ", $param_name)));
						}
					
	?>
		<tr valign="top">
			<td class="formItemCaption"><?=htmlspecialchars($param_name)?></td>
			<td class="formItemControl">
	<?					switch($db->col["input_type"]){
							case "text" : {
	?>			<input type="text" name="gate_settings[<?=gs($db->col["name"])?>]" value="<?=gs($db->col["value"])?>" style="width:250px;">
					
	<?							break;
							}
							case "password" : {
	?>			<input type="password" name="gate_settings[<?=gs($db->col["name"])?>]" value="<?=gs($db->col["value"])?>" style="width:250px;">
					
	<?							break;
							}
							case "select" : {
	?>			<select name="gate_settings[<?=gs($db->col["name"])?>]" style="width:250px;">
	<?							$options = explode(",", $db->col["options"]);
								//print_r($options);
								for($c=0; $c<count($options); $c++){
									echo '<option value="'.trim($options[$c]).'" '.(trim($db->col["value"])==trim($options[$c])?"selected":"").'>'.gs($options[$c]).'</option>';
								}
	?>
				</select>
	<?							break;
							}
							case "label" : {
								echo $db->col["value"];		
								break;
							}
						}?>
	<?					if(trim($db->col["description"])!=""){?>
					<div class="formHelp"><?=($db->col["description"])?></div>
	<?					}?>			
			</td>
		</tr> 
	<?					$i++;
					}
				}
	?>
	</table>
	<?		}
			if($type == "cc" && $payment_gateway && $payment_gateway->support_accepted_cc){?>
	
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader">
				<div class="formHeaderIcon"><img src="images/icons/ic_payment.gif"/></div>
				<div class="formHeaderText">Accepted Credit Cards</div>
			</td>
		</tr>
	</table>
	<table width="100%" cellpadding="5" cellspacing="0" border="0">
	<?			$db->query("SELECT * FROM ".DB_PREFIX."payment_accepted_cc WHERE pid='".$pid."'");
				if($db->numRows() > 0){?>
		<tr>
			<td class="formListHeaderIcon">&nbsp;</td>
			<td class="formListHeaderCaption" style="width:60px;">Enable</td>
			<td class="formListHeaderCaption" style="width:195px;">Card Code</td>
			<td class="formListHeaderCaption" style="width:195px;">Card Name</td>
			<td class="formListHeaderCaption" style="width:80px;">Require CVV2</td>
			<td class="formListHeaderCaption">&nbsp;</td>
		</tr>
	<?				while($db->moveNext()){?>
		<tr>
			<td class="formListItemIcon">&nbsp;</td>
			<td class="formListItemText" style="width:60px;"><input type="checkbox" name="cc_enable[<?=$db->col["ccid"]?>]" <?=$db->col["enable"]=="Yes"?"checked":""?>></td>
			<td class="formListItemText" style="width:195px;">
				<input type="text" name="cc_code[<?=$db->col["ccid"]?>]" value="<?=htmlspecialchars($db->col["code"])?>" style="width:180px;"/>
			</td>
			<td class="formListItemText" style="width:195px;">
				<input type="text" name="cc_name[<?=$db->col["ccid"]?>]" value="<?=htmlspecialchars($db->col["name"])?>" style="width:180px;">
			</td>
			<td class="formListItemText" style="width:80px;"><input type="checkbox" name="cc_enable_cvv2[<?=$db->col["ccid"]?>]" <?=$db->col["enable_cvv2"]=="Yes"?"checked":""?>></td>
			<td class="formListItemText"><a href="javascript:confirmRemoveCC('<?=$db->col["ccid"]?>')"><img src="images/icons/ic_delete.gif" alt="Remove Credit Card" border="0"/></a></td>
		</tr>
	<?				}
				}
				else{
	?>
					<tr>
						<td colspan="5" class="no_data">
							<img src="images/icons/ic_hint.gif" align="left" hspace="6">
							No credit cards are defined
						</td>
					</tr>
	<?			}?>
		<tr>
			<td class="formListItemIcon">&nbsp;</td>
			<td class="formListItemText" colspan="5"><b>Add Card</b></td>
		</tr>
		<tr valign="top">
			<td class="formListItemIcon">&nbsp;</td>
			<td class="formListItemText">Enable</td>
			<td class="formListItemText">Card Code</td>
			<td class="formListItemText">Card Name</td>
			<td class="formListItemText">Require CVV2</td>
			<td class="formListItemText">&nbsp;</td>
		</tr>
		<tr>
			<td class="formListItemIcon">&nbsp;</td>
			<td class="formListItemText"><input type="checkbox" name="new_enable" value="Yes"></td>
			<td class="formListItemText"><input type="text" name="new_code" style="width:180px;"/></td>
			<td class="formListItemText"><input type="text" name="new_name" style="width:180px;"></td>
			<td class="formListItemText"><input type="checkbox" name="new_enable_cvv2" value="Yes"></td>
			<td class="formListItemText"><input type="button" value="Add" style="width:50px;" onClick="AddNewCC(document.forms['frmPaymentMethod'])"></td>
		</tr>
	</table>
	<?		}?>
	<!--FORM SETTINGS-->
	<table cellpadding="0" cellspacing="5" border="0" width="100%">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_change_text.gif"/></div>
				<div class="formHeaderText">Payment Form Title</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Payment Form Title</b></td>
			<td class="formItemControl">
				<input type="text" name="title" value="<?=htmlspecialchars($title)?>" style="width:250px;">
				<div class="formItemComment">
					This is the text that will help customers identify this payment method if it is selected. It will appear on the Payment Form.
				</div>
			</td>
		</tr>
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_change_text.gif"/></div>
				<div class="formHeaderText">Message you would like to appear on the Payment Page - [ <a href="javascript:toggleEditorMode('message_payment', this)">Edit HTML Online</a> ]</div>
			</td>
		</tr>
		<tr>
			<td class="formItemBig" colspan="2">
				<textarea wrap="off" cols="50" rows="8" style="width:100%;height:130px;" id="message_payment" class="no-mce" name="message_payment"><?=gs($message_payment)?></textarea>
			</td>
		</tr>
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_change_text.gif"/></div>
				<div class="formHeaderText">Message you would like to appear on the Thank You Page - [ <a href="javascript:toggleEditorMode('message_thankyou', this)">Edit HTML Online</a> ]</div>
			</td>
		</tr>
		<tr>
			<td class="formItemBig" colspan="2">
				<textarea wrap="off" cols="50" rows="8" style="width:100%;height:130px;" id="message_thankyou" class="no-mce" name="message_thankyou"><?=gs($message_thankyou)?></textarea>
			</td>
		</tr>
	</table>
	</div>
<?php 
	require_once("content/admin/admin_paypal_ec_form.php");
?>
	<div class="formButtons">
		<input type="image" src="images/admin/bt_save_changes.gif"> &nbsp;
		<input type="image" onClick="frmPaymentMethod.reset();return false;" src="images/admin/bt_reset_form.gif">
	</div>
	</form>
<?		}
		else{
			pageHeader("Payment Method Setup - ".$gateway_name, ucfirst($mode), "ic_payment_".($mode=="update"?"edit":"add").".gif");
			pageNote(array(
				array("icon"=>"ic_hint.gif", "text"=>"<b>This feature is not available under your license agreement. Please contact your provider to upgrade your application.</b>", "url"=>"", "visible"=>true)
			));
		}
	}
	
?>