<?php
	if (!defined("ENV")) exit();
?>
<div id="idTabSheetClasses" class="<?=$last_active_tab == "idTabClasses"?"sheetActive":"sheetUnactive"?>">
<?php

	$sortorder = isset($_REQUEST["sortorder"])?$_REQUEST["sortorder"]:"asc";

	$added_country_id = ""; 
	switch ($action)
	{
		case "addClass" :
		{
			$added_class_id = $taxes->addClass($_REQUEST);
			$_REQUEST["showby"] = "abc";
			break;
		}
		case "saveClassesData" :
		{
			$taxes->saveClassesData($_REQUEST);
			break;
		}
		case "deleteClass" :
		{
			$taxes->deleteClass($_REQUEST["class_id"]);
			break;
		}
	}
	
	$tax_classes = $taxes->getTaxClassesList();
?>
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader">
				<div class="formHeaderIcon"><img src="images/icons/ic_settings.gif"/></div>
				<div class="formHeaderText">Taxes Classes</div>
			</td>
		</tr>
	</table>
	<div class="listHeader">
		<div class="listHeaderIcon">&nbsp;</div>
		<div class="listHeaderCaption" style="width:180px;">Tax Class Name</div>
		<div class="listHeaderCaption" style="width:330px;">Tax Class Description</div>
		<div class="listHeaderCaption" style="text-align:right;">
			<img style="cursor:pointer;" src="images/icons/ic_insert_row.gif" onclick="document.getElementById('divAddClass').style.display='block';return false;" alt="Click to add new class" border="0"/>
		</div>
	</div>
	<div id="divAddClass" style="display:<?=count($tax_classes)>0?"none":"block"?>;">
		<form name="frmNewClass" style="padding:0px;margin:0px;" method="POST" action="admin.php?p=taxes&tax_mode=advanced&last_active_tab=idTabClasses" onsubmit="return checkAddTaxClassForm(this)">
		<input type="hidden" name="action" value="addClass"/>
		<div style="padding:5px;clear:both;height:20px;">
			<div style="width:22px;float:left;">
				&nbsp;
			</div>
			<div style="width:180px;float:left;">
				<input type="text" name="class_name" value="" maxlength="128" style="width:170px;"/>
			</div>
			<div style="width:330px;float:left;">
				<input type="text" name="class_description" maxlength="255" value="" style="width:320px;"/>
			</div>
			<div style="width:50px;float:left;">
<?php	if(count($tax_classes) > 0){?>
				<img style="cursor:pointer;" src="images/icons/ic_collapse.gif" onclick="document.getElementById('divAddClass').style.display='none';return false;" alt="Close form" border="0"/>
<?php	}?>
			</div>
		</div>		
		<div class="formButtons">
			<input type="image" src="images/admin/bt_save_changes.gif"/>
			<input type="image" src="images/admin/bt_reset_form.gif" onclick="document.forms['frmCountries'].reset();return false;"/>
		</div>
		</form>
	</div>

<?php	if(count($tax_classes) > 0){?>
	<form name="frmTaxesClasses" style="padding:0px;margin:0px;" action="admin.php?p=taxes&tax_mode=advanced&last_active_tab=idTabClasses" method="POST">
		<input type="hidden" name="action" value="saveClassesData"/>
<?php		for($i=0; $i<count($tax_classes); $i++){
				$tax_class = $tax_classes[$i];
?>
		<div style="padding:5px;clear:both;height:20px;">
			<div style="width:22px;float:left;">&nbsp;</div>
			<div style="width:180px;float:left;padding-top:5px;">
				<input type="text" name="class_name[<?=$tax_class["class_id"]?>]" maxlength="128" value="<?=htmlspecialchars($tax_class["class_name"])?>" style="width:170px;"/>
			</div>
			<div style="width:330px;float:left;padding-top:5px;">
				<input type="text" name="class_description[<?=$tax_class["class_id"]?>]" maxlength="255" value="<?=htmlspecialchars($tax_class["class_description"])?>" style="width:320px;"/>
			</div>
			<div style="width:50px;float:left;padding-top:5px;">
				<a href="admin.php?p=taxes_class&class_id=<?=$tax_class["class_id"]?>"><img border="0" src="images/icons/ic_change_text.gif" alt="Click to edit product class"/></a>
<?php
				if($tax_class["class_id"] != 1)
				{
?>
				<a href="javascript:confirmDeleteTaxClass('<?=$tax_class["class_id"]?>', '<?=$sortorder?>')"><img src="images/icons/ic_delete.gif" alt="Click to delete tax class" border="0"/></a> 
<?php			
				}
?>
			</div>
		</div>		
<?php		}
?>
		<div class="formButtons">
			<input type="image" src="images/admin/bt_save_changes.gif">
			<input type="image" src="images/admin/bt_reset_form.gif" onclick="document.forms['frmCountries'].reset();return false;">
		</div>
	</form>
</div>
<?php
	}
?>
</div>
