var timerLogout;
var timerLogoutActive = true;
var logoutCountdown = 60;
var logoutCountdownInterval = null;

function autoLogoutPopup()
{
	if (timerLogoutActive)
	{
		logoutCountdown = 60;
		$('#spanLogoutCountdown').html(logoutCountdown--);
		tb_show("Session expires", "#TB_inline?height=140&width=400&inlineId=divAutoLogout&modal=true");
		logoutCountdownInterval = setInterval("autoLogoutCountdown()", 1000);
		clearTimeout(timerLogout);
	}
}

function autoLogoutCountdown()
{
	$('#spanLogoutCountdown').html(logoutCountdown--);
	if (logoutCountdown==0) logOut();
}

function logOut()
{
	$("#frmLogout").submit();
}

function setLogoutTimeout()
{
	if (timerLogoutActive)
	{
		timerLogout = setTimeout("autoLogoutPopup()", 14*60*1000);
	}
}

function resetLogoutTimeout()
{			
	clearTimeout(timerLogout);
	setLogoutTimeout();
}

function confirmLogout()
{
	if (confirm("Do you really want to logout?"))
	{
		logOut();
	}
}

$(document).ready(function(){
	
	$("#buttonAutoLogoutNow").click(function(){
		logOut();
	});
	$("#buttonAutoLogoutCancel").click(function(){
		clearInterval(logoutCountdownInterval);
		resetLogoutTimeout();
		tb_remove();
	});
	
	$("body").click(resetLogoutTimeout);
	$("body").scroll(resetLogoutTimeout);
	$("body").keypress(resetLogoutTimeout);
	$("body").mousemove(resetLogoutTimeout);
	resetLogoutTimeout();
	
	//reset server session every 10 minutes
	setInterval("$.getJSON('admin.php?chart=1', function(){});", 60 * 10 * 1000);
});



var imageWin = null;
function showPopupImage(image_url, image_width, image_height){
	var w = screen.width;
	var h = screen.height;
	var ww = image_width * 1 + 20;
	var wh = image_height * 1 + 35;
	var wx = (w - ww)/2;
	var wy = (h - wh)/2;
	
	if(imageWin != null){
		imageWin.close();
	}
	imageWin = null;
	imageWin = window.open(
		"", 
		"ProductImageWindow", 
		"titlebar=yes, toolbar=no, menubar=no, status=no, directories=no, resizable=no, scrollbars=no, top=" + wy.toString() + ", left=" + wx.toString() + ", width=" + ww.toString() + ", height=" + wh.toString() + ""
	);
	while(imageWin==null);
	imageWin.focus();
	
	imageWin.document.body.innerHTML = "";
	imageWin.document.write('<body style="padding:10px;margin:0px">');
	imageWin.document.write('<img hspace="0" vspace="0" src="' + image_url + '"><br>');
	imageWin.document.write('<div align="center" style="font-family:arial;font-color:black;font-size:11px;padding-top:4px;"><a href="javascript:window.close();" style="color:#0000AA;">Close Window</a></div>');
	imageWin.document.write('</body>');
	imageWin.width = ww;
	imageWin.height = wh;
}

var filemanagerWin = null;
function showFileManager(folder){
	var w = screen.width;
	var h = screen.height;
	var window_width = 780;
	var window_height = 600;
	var wx = (w - window_width)/2;
	var wy = (h - window_height)/2;
	
	if(filemanagerWin != null){
		filemanagerWin.close();
	}
	filemanagerWin = null;
	filemanagerWin = window.open(
		"admin.php?p=filemanager&printing=true&folder=" + folder, 
		"FileManagerWindow", 
		"titlebar=yes, toolbar=yes, addressbar=no, menubar=no, status=no, directories=no, resizable=yes, scrollbars=yes, top=" + wy.toString() + ", left=" + wx.toString() + ", width=" + window_width.toString() + ", height=" + window_height.toString() + ""
	);
	while(filemanagerWin==null);
	filemanagerWin.focus();
}


function isEmail(entry){
	var rex= /^.+\@(\[?)[a-zA-Z0-9\-\.]+\.([a-zA-Z]{2,3}|[0-9]{1,5})(\]?)$/;
	return rex.test(entry);
}

function isDate(year,month,day){
	//var dteDate;
	//dteDate = new Date(year,month,day);
	//return ((day==dteDate.getDate()) && (month==dteDate.getMonth()) && (year==dteDate.getFullYear()));

	//old function starts here
	if((month < 1) || (month > 12)) return false;
	if((month == 4 || month == 6 || month == 9 || month ==11) && (day > 30)) return false;
	if((month == 2) && (day > 29)) return false;
	var isVYear = (year % 4 == 0) && ((year % 100 != 0) || (year % 400 == 0));
	if(month == 2 && !isVYear && day > 28) return false;
	return true;
}

function isColor(color){
	var rex = /^((\#([a-fA-F0-9]{6}))|([a-zA-Z]{1,100})){1}$/
//	var rex = /^(\#([a-fA-F0-9]{6}))|([a-zA-Z]{1,100})$/
	return rex.test(color);
}

function checkNumber(number){
	//check numbers in 123,123,122.23 or 123123123.123 or 123,123,123 or 123123123 format
	var rex = /^((\d{1,3},)?(\d{3},)?(\d{3})|(\d{1,}))((\.(\d{1,}))?)$/;
	return rex.test(number);
}

function checkSignedNumber(number){
	//check numbers in 123,123,122.23 or 123123123.123 or 123,123,123 or 123123123 format
	var rex = /^-?((\d{1,3},)?(\d{3},)?(\d{3})|-?(\d{1,}))((\.(\d{1,}))?)$/;
	return rex.test(number);
}

function checkIpAddress(ip_address)
{
	return $.ddm.validateIpFormat({'ip': ip_address});
}

function isInt(number){
	var rex = /^(\d{1,})$/;
	return rex.test(number);
}

function isText(txt){
	var rex = /.{0,}((\w{1,})|(\d{1,})|([\~\!\@\#\$\%\^\&\*\(\)\_\+\`\-\=\{\}\[\]\:\;\"\'\<\>\,\.\?\/\\\|]{1,2})).{0,}/;
	return rex.test(txt);
}

function isURL(url){
	//var rex = /^http:\/\/([\w-]+\.)+[\w\-]*(/[\w- ./?%=]*)?$/
	//return rex.test(url);
}

function normalizeNumber(number){
	var s = number;
	var ss = "";
	var c = "";
	var rex = /^(\d{1})|(\.{1})$/;
	for(i=0; i < s.length; i++){
		c = s.charAt(i);
		if(rex.test(c)){
			ss = ss + c;
		}
	}
	return parseFloat(ss);
}

function checkAddCurrency(frm){
	if(frm.elements["code"].value == ""){
		alert("Please enter currency code!");
		frm.elements["code"].focus();
		return false;
	}
	if(frm.elements["title"].value == ""){
		alert("Please enter currency title!");
		frm.elements["title"].focus();
		return false;
	}
	if(!checkNumber(frm.elements["exchange_rate"].value)){
		alert("Please enter valid exchange rate!");
		frm.elements["exchange_rate"].focus();
		return false;
	}
	if(frm.elements["symbol_left"].value == "" && frm.elements["symbol_right"].value == ""){
		alert("Please enter left or right symbol!");
		frm.elements["symbol_left"].focus();
		return false;
	}
}


function pwdStrengthPoints(password)
{
	var points   = 0;
	if (password.length >= 8) points++; // 1 point for length over 6
	if ((password.match(/[a-z]/)) && (password.match(/[A-Z]/))) points++; // 1 lower & uppercase characters
	if (password.match(/\d+/)) points++; // 1 point for a number
	if (password.match(/.[!,@,#,$,%,^,&,*,?,_,~,-,(,)]/)) points++; // 1 point for special character
	if (password.length > 12) points++; // 1 point for length over 12
	if (points > 4) points = 4;
	return points;
}

function pwdStrength(password)
{
	var txt = "Password has to be atleast 8 characters long, do not include common words or names, and combine uppercase letters, lowercase letters, numbers.";

	var state = new Array();
	state[0] = 'Weakest';
	state[1] = 'Weak';
	state[2] = 'Improving';
	state[3] = 'Strong';
	state[4] = 'Strongest';
	
	var color = new Array();
	color[0] = '#ff5100';
	color[1] = '#ffa600';
	color[2] = '#fede00';
	color[3] = '#ecea00';
	color[4] = '#bdf800';
	
	var points = pwdStrengthPoints(password);

    document.getElementById("pwdDescription").innerHTML = 
		'<div style="padding-top:5px;">' + 
			'<div style="float:left;height:18px;border:0px solid #dddddd;"><div style="width:218px;">' +
				'<div style="width:125px;padding:0px;float:left;">' +
    				'<div style="width:' + points * 30 + 'px;float:left;height:14px;background-color:' + color[points] + ';"></div>' + 
    				'<div style="width:' + (120 - points * 30) + 'px;float:left;height:14px;background-color:#f0f0f0;"></div>' + 
				'</div>' + 
				'<div style="width:50px;float:left;height:14px;padding-left:2px"><b>' + state[points] + '</b></div>' + 
			'</div></div>' +
    		'<div style="clear:both;padding-top:2px;">' + txt + '</div>' +
		'</div>'
    ;
}