<?php
/**
 * Show home page
 */

if (!defined("ENV")) exit();

if ($settings["CatalogHomeView"] != "None")
{
	require_once("content/classes/class.products.php");
	$products = new ShoppingCartProducts($db, $settings);
	$products->taxRates = $order->taxRates;
	$params = array();
	
	// 2010-07-12 pkolas
	//$params["CatalogSortBy"] = $settings["CatalogDefaultSortOrder"];
	$params["CatalogSortBy"] = 'priority';
	// 2010-07-12 pkolas end
	
	
	// 2010-07-10 pkolas
	// changed:
	//$params["CatalogItemsOnPage"] = is_numeric($settings["CatalogHomeItemsOnPage"])?intval($settings["CatalogHomeItemsOnPage"]):10;
	// to:
	$params["CatalogItemsOnPage"] = 50;
	// 2010-07-10 pkolas end
	
	$params["Page"] = isset($_REQUEST["pg"]) ? intval($_REQUEST["pg"]) : 1;
	$params["mode"] = "home";
	
	view()->assign("products", $products->getItemsCatalog($params, $user->level));
	view()->assign("products_file", strtolower("templates/pages/catalog/views/".$settings["CatalogHomeView"].".html"));
}
else
{
	view()->assign("products", false);
}


// 2010-07-10 pkolas make the dates on the homepage dynamic
$ts = time();
$pk_as_of = date("m/j/Y", $ts);
view()->assign('pk_as_of', $pk_as_of);
$pk_sale_month = date("F", $ts);
view()->assign('pk_sale_month', $pk_sale_month);
$ts2 = $ts;
while (date('m', $ts) == date('m', $ts2)) {
	$ts2 += 86400; // plus one day
}
$ts2 -= 86400;
$pk_offer_ends = date('F jS, Y', $ts2);
view()->assign('pk_offer_ends', $pk_offer_ends);
// 2010-07-10 pkolas end



view()->assign("body", "templates/pages/site/home.html");