<?php
/**
 * Show admins log
 */

	if (!defined("ENV")) exit();
	
	pageHeader("Administrators Activity Log", "", "ic_settings.gif");
	
	$from_y = isset($from_y)?$from_y:date("Y");
	$from_m = isset($from_m)?$from_m:date("n");
	$from_d = isset($from_d)?$from_d:1;
	$to_y = isset($to_y)?$to_y:date("Y");	
	$to_m = isset($to_m)?$to_m:date("n");
	$to_d = isset($to_d)?$to_d:date("t", mktime(1,1,1,$to_m, 1, $to_y));
	$sort_by = isset($sort_by) ? $sort_by : "date_desc";
	$sort_by = in_array($sort_by, array("date", "date_desc", "username", "username_desc", "ip", "message")) ? $sort_by : "date_desc";
	
	function GetReportDate()
	{
		global $from_y, $from_m, $from_d, $to_y, $to_m, $to_d;
		return 
			date("F j, Y", mktime(1, 1, 1, $from_m, $from_d, $from_y))." - ".
			date("F j, Y", mktime(1, 1, 1, $to_m, $to_d, $to_y));
	}
	
	$mysql_from =  $from_y."-".$from_m."-".$from_d." 00:00:01";
	$mysql_to =  $to_y."-".$to_m."-".$to_d." 23:59:59";
?>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
	<form action="admin.php" method="get">
		<input type="hidden" name="p" value="admins_log">
	<tr>
		<td class="th" colspan="5">
			<img src="images/icons/ic_dates.gif" align="left" hspace="6">
			Select Report Date Range
		</td>
	</tr>
	<tr>
		<td width="35" align="center" height="50">&nbsp;</td>
		<td width="200">
			From:<br>
			<select name="from_m">
<?				for($i=1; $i<=12; $i++){?>
				<option value="<?=$i?>" <?=$i == $from_m?"selected":""?>><?=$months[$i]?></option>
<?				}?>		</select>
			<select name="from_d">
<?				for($i=1; $i<=31; $i++){?>
				<option value="<?=$i?>" <?=$i == $from_d?"selected":""?>><?=$i?></option>
<?				}?>
			</select>
			<select name="from_y">
<?				for($i=2003; $i<=date("Y"); $i++){?>
				<option value="<?=$i?>" <?=$i == $from_y?"selected":""?>><?=$i?></option>
<?				}?>
			</select>
		</td>
		<td width="200">
			To:<br>
			<select name="to_m">
<?				for($i=1; $i<=12; $i++){?>
				<option value="<?=$i?>" <?=$i == $to_m?"selected":""?>><?=$months[$i]?></option>
<?				}?>		</select>
			<select name="to_d">
<?				for($i=1; $i<=31; $i++){?>
				<option value="<?=$i?>" <?=$i == $to_d?"selected":""?>><?=$i?></option>
<?				}?>
			</select>
			<select name="to_y">
<?				for($i=2003; $i<=date("Y"); $i++){?>
				<option value="<?=$i?>" <?=$i == $to_y?"selected":""?>><?=$i?></option>
<?				}?>
			</select>
		</td>
		<td width="130">
			Sort By:<br>
			<select name="sort_by">
				<option value="date">Date</option>
				<option <?=$sort_by=="date_desc"?'selected="selected"':''?> value="date_desc">Date desc.</option>
				<option <?=$sort_by=="username"?'selected="selected"':''?> value="username">Username</option>
				<option <?=$sort_by=="username_desc"?'selected="selected"':''?> value="username_desc">Username desc.</option>
				<option <?=$sort_by=="ip"?'selected="selected"':''?> value="ip">IP</option>
				<option <?=$sort_by=="message"?'selected="selected"':''?> value="message">Action</option>
			</select>
		</td>
		<td align="left">
			&nbsp;<br>
			<input type="image" src="images/admin/bt_show_report.gif">
		</td>
	</tr>
	</form>
</table>
<br/><br/>
<style type="text/css">
.logErr td{color:#FF0000;}
</style>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
	<tr>
		<td colspan="5">
			<img src="images/icons/ic_reports.gif" align="left" hspace="6">
			Administrators Activity (<?=GetReportDate();?>)
		</td>
	</tr>
	<tr>
		<td class="th" align="center">&nbsp;</td>
		<td class="th" width="20%" style="padding-left:0px;">Date</td>
		<td class="th" width="20%" style="padding-left:0px;">Username</td>
		<td class="th" width="20%" style="padding-left:0px;">IP Address</td>
		<td class="th" width="" style="padding-left:0px;">Action</td>
	</tr>
<?php
	$db->query("SELECT *, log_date as date FROM ".DB_PREFIX."admins_logs WHERE log_date>='".$mysql_from."' AND log_date<='".$mysql_to."' ORDER BY ".str_replace("_"," ",$sort_by));
	if ($db->numRows()>0)
	{
		while (($log = $db->moveNext()) != false)
		{
?>
	<tr <?=$i%2?'bgcolor="#F7F7F7"':''?> style="height:24px;" <?=$log["is_error"]?'class="logErr"':''?>>
		<td width="35">&nbsp;</td>
		<td><?=date("m/d/Y H:i:s", strtotime($log["log_date"]));?></td>
		<td><?=htmlspecialchars($log["username"])?></td>
		<td><?=long2ip($log["ip"])?></td>
		<td><?=htmlspecialchars($log["message"])?></td>
	</tr>

<?			$i++;
		}?>
<?	}
	else{
?>
	<tr>
		<td class="no_data" colspan="4">
			<img src="images/icons/ic_hint.gif" align="left">
			No data available for selected period
		</td>
	</tr>
<?
	}
?>
</table>
