<?php
	if (!defined("ENV")) exit();
	$mail_domain = $settings["EmailPop3Server"];
	$mail_port = $settings["EmailPop3Port"];
	$mail_protocol = "pop3";

	$mail_login = $settings["EmailPop3Login"];
	$mail_psw = $settings["EmailPop3Password"];
	$fault_count = $settings["EmailPop3Fault"];

	$step = isset($_REQUEST["step"])?($_REQUEST["step"]):1;
	pageHeader("Check Bounced Email Addresses", "Step ".$step." of 3", "ic_email_check.gif");

	switch($step){
		default:
		case "1" : {
			pageNote(array(
				array(
					"icon"=>"ic_hint.gif",
					"text"=>
						"This section allows you to remove bad and bounced email addresses from your email list. By clicking on the button below, the system will log into the POP3 email server you designated and conduct a scan of all returned email addresses.<p/>".
						"Before you run this scan you will need to enter information regarding your email account.<br><a href=\"admin.php?p=settings_email\">Click here to configure this feature.</a>",
					"visible"=>true,
					"url"=>""
				),
				array(
					"icon"=>"ic_error.gif",
					"text"=>
						"<b>Please note: this feature requires the c-client PHP library to be installed (this library also known as php_imap). Please check PHP documentation for details. You can not continue while this exntension library is not installed.</b>",
					"visible"=>!function_exists("imap_open"),
					"url"=>""
				),
			));
			if(function_exists("imap_open")){
?>
&nbsp;
<table width="100%" cellpadding="0" cellspacing="0" border="0">
	<tr><td width="48">&nbsp;</td>
		<td><a href="admin.php?p=email_check&step=2"><img src="images/admin/bt_check_mail.gif" border="0"></a></td>
	</tr>
</table>
<?			}
			break;
		}
		case "2" : {
			//pageNote(array(
			//	array("icon"=>"ic_hint.gif", "text"=>"Connecting to POP3 server ......",
			//	"visible"=>true, "url"=>""),
			//	));
			$mbox = @imap_open("{".$mail_domain.":".$mail_port."/".$mail_protocol."/notls}INBOX", $mail_login, $mail_psw);
			if(!$mbox){
				pageNote(array(
					array(
						"icon"=>"ic_error.gif",
						"text"=>
							"<b>Can not connect to remote POP3 server.</b>".
							"<p>".imap_last_error()."</p>",
						"visible"=>true,
						"url"=>""
					),
				));
	?>
&nbsp;
<table width="100%" cellpadding="0" cellspacing="0" border="0">
	<tr><td width="48">&nbsp;</td>
		<td><a href="admin.php?p=email_check"><img src="images/admin/bt_back.gif" border="0"></a></td>
	</tr>
</table>
<?			}
			else{
				// Get number of emails
				$num = imap_num_msg($mbox);
				// Getiing info from each return email
				$mails_count = 0;
				$mails_array = array();
				for($i=1; $i<=$num; $i++){
					$header = imap_headerinfo($mbox, $i);
					$from = $header->from;
					$reply = $header->reply_toaddress;
					foreach ($from as $id => $object) {
						if(!isset($object->personal)){
							$object->personal = "";
						}
						$from_name = $object->personal;
						$from_address = $object->mailbox . "@" . $object->host;
						$reply_name = $object->personal;
						$reply_address = $object->mailbox . "@" . $object->host;
						$email_body = imap_body($mbox,$i);

						if(preg_match_all("!([\.a-zA-Z0-9_-]{1,50})@(([a-z0-9-]+\.)+(com|net|org|mil|".
							"edu|gov|arpa|info|biz|inc|name|[a-z]{2})|[0-9]{1,3}\.[0-9]{1,3}\.[0-9]".
							"{1,3}\.[0-9]{1,3})!si",$email_body,$ok
						)){
							// Create array for mails compare
							$print_array = array();
							// Finding all emails in return messages
							for($z=0; $z<count($ok[1]); $z++) {
								// Get email array from preg_math search
								$email = $ok[1][$z]."@".$ok[2][$z];
								if(!in_array($email, $print_array)){
							   		// Work with email if it's in DB
									$print_array[$z] = $email;
			    			        //echo "<li>".$email;

									// Operate with DB, set error count to + 1 for error return emails
									$db->query("SELECT eid, email, fault_count FROM ".DB_PREFIX."emails WHERE email ='".$email."' AND dead <> 'Yes'");
									if($db->moveNext()){
										// If email in base found set hidden filed
										//echo "<input type='hidden' name='mail[".$mails_count."]' value='".($db->col["eid"])."'>";
										$mails_array[$mails_count] = $db->col["eid"];
										$mails_count++;
									}
								}
							}
						}
					}
					//imap_delete($mbox, $i); // Mark message for deletting
				}
				//imap_expunge($mbox); // Delete all e-mails
				imap_close($mbox);
				if($mails_count>0){
					pageNote(array(
						array(
							"icon"=>"ic_hint.gif",
							"text"=>"Total number of returned email massages in mailbox: <b>".$num."</b><br>",
							"visible"=>true,
							"url"=>""
						),
						array(
							"icon"=>"ic_hint.gif",
							"text"=>"Bad emails matched with subscribers database: <b>".$mails_count."</b>",
							"visible"=>true,
							"url"=>""
						)
					));
			?>
<table width="100%" cellpadding="0" cellspacing="0" border="0">
<form action="admin.php?p=email_check" method="get" style="padding:0px;spacing:0px;">
	<input type="hidden" name="step" value="3">
	<input type="hidden" name="p" value="email_check">
<?					for($i=0; $i<count($mails_array); $i++){?>
	<input type="hidden" name="mail[<?=$i?>]" value="<?=$mails_array[$i]?>">
<?					}
?>
	<tr><td width="48">&nbsp;</td>
		<td><p>
				<b>What do you want to do now?</b><br>
				<input type="radio" name="mailcheck" value="mark" checked> Just Mark Potentially Bad Emails as Dead<br>
				<input type="radio" name="mailcheck" value="remove"> Remove Potentially Bad Emails

			</p>
			<input type="image" src="images/admin/bt_continue.gif">
		</td>
	</tr>
</form>
</table>
<?				}
				else{
					pageNote(array(
						array(
							"icon"=>"ic_hint.gif",
							"text"=>"No results were found. Please repeate this operation again in soon.",
							"visible"=>true,
							"url"=>""
						),
					));?>
&nbsp;
<table width="100%" cellpadding="0" cellspacing="0" border="0">
	<tr><td width="48">&nbsp;</td>
		<td><a href="admin.php?p=email_check"><img src="images/admin/bt_back.gif" border="0"></a></td>
	</tr>
</table>
<?				}?>
<?			}
			break;
		}
		case "3" : {
			$count_all_oper = 0;
			$count_ok_oper = 0;
			foreach($mail as $value_eid){
				$count_all_oper++;
				// Operate with DB, set error count to + 1 for error return emails
				$db->query("SELECT eid, fault_count FROM ".DB_PREFIX."emails WHERE eid ='".$value_eid."' AND dead <> 'Yes'");
				if($db->moveNext()){
					$count_ok_oper++;
					// If email in base found
					switch($mailcheck){
						default:
						case "mark": {
							$error_count = 1 + ($db->col["fault_count"]);
							$eid = $db->col["eid"];
							if(!DEMO_LOCK){
								$db->query("UPDATE ".DB_PREFIX."emails SET fault_count='".$error_count."' WHERE eid='".$eid."'");
							}
							break;
						}
						case "remove":{
							if(!DEMO_LOCK){
								$db->query("DELETE FROM ".DB_PREFIX."emails WHERE eid='".$value_eid."' AND fault_count > '".$fault_count."'");
							}
							break;
						}
					}
				}
			}
			// Trimming up real emails
			if(!DEMO_LOCK){
				$query_update =  "UPDATE ".DB_PREFIX."emails SET fault_count = 0 WHERE ";
				$count_where = 0; // counter for tracking AND tag
				foreach($mail as $good_eid){
					$count_where++; // Count number of and .... and don't set AND for one where
					if($count_where == 1){
						$query_update = $query_update." eid <> $good_eid ";
					}
					else{
						$query_update = $query_update."AND eid <> $good_eid ";
					}
				}
				$db->query($query_update);
			}

			//echo "&nbsp;<br>";
			//echo "<p>All mails     : ".$count_all_oper."</p>";
			//echo "<p>Mails operated: ".$count_ok_oper."</p><br><br>";

			pageNote(
				array(
					array(
						"icon"=>"ic_hint.gif",
						"url"=>"",
						"text"=>"<b>Bad emails checking has been successfully completed</b><p>Number of marked or removed e-mail addresses : <b>".$count_ok_oper."</b></p>",
						"visible"=>true
					)
				)
			);
		}
	} // end of switch
?>
