<?php

	if (!defined("ENV")) exit();
	pageHeader("New Language", "", "");
	
	$language_added = false;
	
	if(!DEMO_LOCK){
		require_once("content/classes/class.languages.php");
		$lang = new Language($db);
		$lang->loadTemplate();
		$language_added = $lang->addLanguage($_POST);
	}
	
	if($language_added){
		$create_method = isset($create_method)?trim($create_method):"";
		$is_error = true;
		$message = "";
		$error_message = "";
		switch($create_method){
			case "file" : {
				if(!empty($_FILES["new_file"]["tmp_name"])){
					if(!DEMO_LOCK){
						if(@copy($_FILES["new_file"]["tmp_name"], "./content/languages/".$code.".php")){
							$is_error = false;
							$message = "Language template file has been uploaded.";
						}
						else{
							$error_message = "Can not upload language template file. Please check free space and permissions.";
						}
					}
					else{
						$is_error = false;
						$message = "Language template file has been uploaded.";
					}
				}
				else{
					$error_message = "Please choose file for uploading.";
				}
				break;
			}
			case "base" : {
				if(!DEMO_LOCK){
					if(@copy("./content/languages/".$language_base.".php", "./content/languages/".$code.".php")){
						$is_error = false;
						$message = "Language has been successfully created";
					}
					else{
						$error_message = "Cannot copy language file. Please check languages folder write permissions.";
					}
				}
				else{
					$is_error = false;
					$message = "Language has been successfully created";
				}
				break;
			}
			default : {
				$error_message = "Incorrect action.";
				break;
			}
		}
	}
	else{
		$is_error = true;
		$error_message = "Cannot add language. Language code already exist.";
		$message = "";
	}
	pageNote(
		array(
			array("icon"=>"ic_hint.gif","url"=>"","text"=>"<b>".$message."</b><br>&nbsp;", "visible"=>!$is_error),
			array("icon"=>"ic_error.gif","url"=>"","text"=>"<b>".$error_message."</b><br>&nbsp;", "visible"=>$is_error),
			array("icon"=>"","url"=>"javascript:history.back()","text"=>"Back to previous page<br>&nbsp;", "visible"=>$is_error),
			array("icon"=>"ic_globe.gif","url"=>"admin.php?p=localization&last_active_tab=idTabSheetLanguage","text"=>"<b>Return To Localization Settings</b>", "visible"=>true)
		)
	);
?>