<?php
	if (!defined("ENV")) exit();
	
	$tid = isset($tid)?trim($tid):"";
	$name = isset($name)?trim($name):"";
	$caption = isset($caption)?trim($caption):"";
	$is_visible = isset($is_visible)?trim($is_visible):"";
	$priority = isset($priority)?trim($priority):"";
	$place_top = isset($place_top)?trim($place_top):"No";
	$place_left = isset($place_left)?trim($place_left):"No";
	$place_right = isset($place_right)?trim($place_right):"No";
	$place_bottom = isset($place_bottom)?trim($place_bottom):"No";
	$content = isset($content)?trim($content):"";
	$meta_title = isset($meta_title)?trim($meta_title):"";
	$meta_keywords = isset($meta_keywords)?trim($meta_keywords):"";
	$meta_description = isset($meta_description)?trim($meta_description):"";
	$url_custom = isset($url_custom)?trim($url_custom):"";
	$mode = isset($mode)?trim($mode):"";
	
	// 2010-07-12 pkolas
	$swf_header = isset($swf_header)?trim($swf_header):"";
	// 2010-07-12 pkolas end
	
	$options = ($place_top=="Yes")?"Top":"";
	$options .= ($place_left=="Yes")?((strlen(trim($options))>0)?",Left":"Left"):""; 
	$options .= ($place_right=="Yes")?((strlen(trim($options))>0)?",Right":"Right"):"";
	$options .= ($place_bottom=="Yes")?((strlen(trim($options))>0)?",Bottom":"Bottom"):"";

	$generate_url = false;
	
	switch($mode){
		case "insert" : {
			if(!DEMO_LOCK){
				$db->reset();
				$db->assign("priority", $priority);
				$db->assignStr("is_active", $is_visible);
				$db->assignStr("options", $options);
				$db->assignStr("name", $name);
				$db->assignStr("title", $caption);
				$db->assignStr("content", $content);
				$db->assignStr("meta_title", $meta_title);
				$db->assignStr("meta_keywords", $meta_keywords);
				$db->assignStr("meta_description", $meta_description);
				
				// 2010-07-12 pkolas
				$db->assignStr("swf_header", $swf_header);
				// 2010-07-12 pkolas end
				
				$db->assignStr("url_custom", $url_custom);
				$pid = $db->insert(DB_PREFIX."pages");
				$generate_url = true;
				pageHeader("New Page Added", "", "");
				pageNote(array(
					array("icon"=>"ic_hint.gif", "text"=>"<b>New page has been successfully added</b>", "url"=>"", "visible"=>true)
				));
				pageWhat(array(
					array("text"=>"Edit just added page", "url"=>"admin.php?p=page&mode=update&pid=".$pid),
					array("text"=>"Add new page again", "url"=>"admin.php?p=page&mode=insert"),
					array("text"=>"Browse pages", "url"=>"admin.php?p=pages")
				));
			}
			else{
				pageHeader("New Page Added", "", "");
				pageNote(array(
					array("icon"=>"ic_hint.gif", "text"=>"<b>New page has been successfully added</b>", "url"=>"", "visible"=>true)
				));
				pageWhat(array(
					array("text"=>"Add new page again", "url"=>"admin.php?p=page&mode=insert"),
					array("text"=>"Browse pages", "url"=>"admin.php?p=pages")
				));
			}
			break;
		}
		case "update" : {
			if(!DEMO_LOCK){
				$db->reset();
				$db->assign("priority", $priority);
				$db->assignStr("is_active", $is_visible);
				$db->assignStr("options", $options);
				$db->assignStr("name", $name);
				$db->assignStr("title", $caption);
				$db->assignStr("content", $content);
				$db->assignStr("meta_title", $meta_title);
				$db->assignStr("meta_keywords", $meta_keywords);
				$db->assignStr("meta_description", $meta_description);
				
				// 2010-07-12 pkolas
				$db->assignStr("swf_header", $swf_header);
				// 2010-07-12 pkolas end
				
				$db->assignStr("url_custom", $url_custom);
				$db->update(DB_PREFIX."pages", "WHERE pid='".$pid."'");
				$generate_url = true;
			}
			
			pageHeader("Page Updated", "", "");
			pageNote(array(
				array("icon"=>"ic_hint.gif", "text"=>"<b>Page has been successfully update</b>", "url"=>"", "visible"=>true)
			));
			pageWhat(array(
				array("text"=>"Back to page editing", "url"=>"admin.php?p=page&mode=update&pid=".$pid),
				array("text"=>"Add new page", "url"=>"admin.php?p=page&mode=insert"),
				array("text"=>"Browse pages", "url"=>"admin.php?p=pages")
			));
			break;
		}
		case "delete" : {
			if(!DEMO_LOCK){
				$db->query("DELETE FROM ".DB_PREFIX."pages WHERE pid='".$pid."'");
			}
			pageHeader("Page Removed", "", "");
			pageNote(array(
				array("icon"=>"ic_hint.gif", "text"=>"<b>Page has been successfully removed</b>", "url"=>"", "visible"=>true)
			));
			pageWhat(array(
				array("text"=>"Browse pages", "url"=>"admin.php?p=pages"),
				array("text"=>"Add new page", "url"=>"admin.php?p=page&mode=insert")
			));
			break;
		}
		default : {
			// icorrect action
		}
	}
	
	/////////////////////////
	// UPDATE PAGE URL
	if (!DEMO_LOCK && $generate_url)
	{
		//render URL
		$db->query("UPDATE ".DB_PREFIX."pages SET url_default='".$db->escape($settings["SearchURLPageTemplate"])."' WHERE pid='".intval($pid)."'");
		
		$query = setPageUrlSQL($settings["SearchAutoGenerateLowercase"] == "YES", $settings["SearchURLJoiner"], "p.pid='".intval($pid)."'");
		$db->query($query);
		if ($settings["SearchAutoGenerateLowercase"] == "YES")
		{
			$db->query("UPDATE ".DB_PREFIX."pages SET url_default=LOWER(url_default) WHERE pid='".intval($pid)."'");
		}
		//update hash
		$db->query("UPDATE ".DB_PREFIX."pages SET url_hash=MD5(IF(url_custom='', url_default, url_custom)) WHERE pid='".intval($pid)."'");
	}
?>