<?php
	if (!defined("ENV")) exit();
?>
<div id="idTabSheetCat" class="<?=$last_active_tab == "idTabCat"?"sheetActive":"sheetUnactive"?>">
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_folder.gif"></div>
				<div class="formHeaderText">Category product will be listed in</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Main Category (primary)</b></td>
			<td class="formItemControl">
				<select name="cid" style="width:100%;">
					<option value="<?=TREE_ROOT?>">Select Category</option>
<?					$tree->collection[TREE_ROOT]->drawNode(new OPTION_PARAM($cid, 0));?>
				</select>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Secondary Categories</td>
			<td class="formItemControl">
        		<select name="secondary_categories[]" style="width:100%;" multiple size="7">
					<option value="<?=TREE_ROOT?>">None Selected</option>
<?					$tree->collection[TREE_ROOT]->drawNode(new OPTION_PARAM(0, 0, $categories));?>
				</select>
				<div class="formItemComment">
					Hold down the control key to select multiple categories.
				</div>
			</td>
		</tr>
	</table>
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_change_text.gif"></div>
				<div class="formHeaderText">Product ID, Name &amp;  Search Engine Settings</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Product ID</b></td>
			<td class="formItemControl">
				<input style="width:250px;" maxlength="30" type="text" name="product_id" value="<?=htmlspecialchars($product_id)?>">
				<div class="formItemComment">
					All products need to have an ID associated with the product for easy look-up and identification.
					This ID must be unique for each individual product.
				</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Product SKU</td>
			<td class="formItemControl">
				<input style="width:250px;" maxlength="30" type="text" name="product_sku" value="<?=htmlspecialchars($product_sku)?>">
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">UPC</td>
			<td class="formItemControl">
				<input style="width:250px;" maxlength="30" type="text" name="product_upc" value="<?=htmlspecialchars($product_upc)?>">
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Product name (title)</b></td>
			<td class="formItemControl">
				<input style="width:250px;" type="text" name="title" maxlength="255" value="<?=htmlspecialchars($title)?>">
			</td>
		</tr>
<?php	if($is_doba == "Yes"){ ?>
		<tr valign="top">
			<td class="formItemCaption"><label for="checkbox_is_locked">Lock title and description</label></td>
			<td class="formItemControl">
				<input id="checkbox_is_locked" type="checkbox" name="is_locked" value="Yes" <?=$is_locked=="Yes"?"checked":""?>/>
				<div class="formItemComment">
					When locked, product title and description will not be locked on next datafeed update
				</div>
			</td>
		</tr>
<?php 	}?>

<?	if($settings["CatalogManufacturers"] == "YES"){?>
		<tr valign="top">
			<td class="formItemCaption">Product Manufacturer</td>
			<td class="formItemControl">
				<select name="manufacturer_id" style="width:250px;">
					<option value="0">Do not assign manufacturer</option>
<?		$db->query("SELECT * FROM ".DB_PREFIX."manufacturers ORDER BY manufacturer_name");
		while($db->moveNext()){?>
				<option value="<?=$db->col["manufacturer_id"]?>" <?=$db->col["manufacturer_id"]==$manufacturer_id?"selected":""?>><?=htmlspecialchars($db->col["manufacturer_name"])?></option>
<?		}?>
				</select>
			</td>
		</tr>
<?	}?>

		<tr valign="top">
			<td class="formItemCaption">Product Location</td>
			<td class="formItemControl">
				<select name="products_location_id" style="width:250px;">
					<option value="0">Do not assign location</option>
<?php
					$pls = $productsLocations->getAll();
					foreach ($pls as $pl)
					{
						echo '<option '.(!$pl["is_active"]?'style="color:gray"':'').' value="'.$pl["products_location_id"].'" '.($pl["products_location_id"] == $products_location_id ? "selected" : "").'>'.htmlspecialchars($pl["name"])." (".ucfirst($pl["name"]).")</option>";
					}
?>
				</select>
				<div class="formItemComment">
					This feature allows you to automatically send shipping notification of products purchased to manufacturer.<br/>
					<a href="admin.php?p=products_locations">Manage products locations</a>
				</div>
			</td>
		</tr>

		<tr valign="top">
			<td class="formItemCaption">Priority</td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="priority" maxlength="255" value="<?=htmlspecialchars($priority)?>">
				<div class="formItemComment">
					Use priority to have products listed higher within your cart.
					The higher the number, the higher the product will be listed.
					Use positive or negative number. Example: 50, -20, 4
				</div>
			</td>
		</tr>
	</table>

	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td colspan="2" class="formHeader">
				<div class="formHeaderIcon"><img src="images/icons/ic_properties.gif"></div>
				<div class="formHeaderText">Product Properties</div>
			</td>
		</tr>
		
		
		
		<? // 2010-07-12 pkolas ?>
		<tr valign="top">
			<td class="formItemCaption"><b>Equipment Type</b></td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="equipment_type" value="<?=htmlspecialchars($equipment_type)?>">
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Size</b></td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="size" value="<?=htmlspecialchars($size)?>">
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Year</b></td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="year" value="<?=htmlspecialchars($year)?>">
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><b>Condition</b></td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="condition1" value="<?=htmlspecialchars($condition1)?>">
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">PDF filename</td>
			<td class="formItemControl">
				<input style="width:250px;" type="text" name="pdf_name" value="<?=htmlspecialchars($pdf_name)?>">
			</td>
		</tr>
		<? // 2010-07-12 pkolas end ?>
		

		<tr valign="top">
			<td class="formItemCaption"><b>Item price</b></td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="price" value="<?=myNum($price)?>">
				<input id="checkbox_call_for_price" type="checkbox" name="call_for_price" value="Yes" <?=$call_for_price=="Yes"?"checked":""?>>
				<label for="checkbox_call_for_price">Call For Price</label>
			</td>
		</tr>

		<tr valign="top">
			<td class="formItemCaption">Cost</td>
			<td class="formItemControl">
				<input type="text" name="cost" value="<?=$cost>0?myNum($cost):""?>" style="width:123px;">
			</td>
		</tr>

		<tr valign="top">
			<td class="formItemCaption">Sale price</td>
			<td class="formItemControl">
				<input type="text" name="price2" value="<?=$price2>0?myNum($price2):""?>" style="width:123px;">
				<div class="formItemComment">
					If this item is on sale, enter in the sale price.
					The sale price will appear in red below the retail price.
				</div>
			</td>
		</tr>
<?	if($settings["WholesaleDiscountType"] == "PRODUCT"){?>
		<tr valign="top">
			<td class="formItemCaption">Wholesale Prices (Level 1/Level 2/Level 3)</td>
			<td class="formItemControl">
				<input style="width:123px;" maxlength="50" type="text" name="price_level_1" value="<?=$price_level_1>0?myNum($price_level_1):"";?>">
<?		if($settings["WholesaleMaxLevels"] != "1"){?>
				<input style="width:123px;" maxlength="50" type="text" name="price_level_2" value="<?=$price_level_2>0?myNum($price_level_2):"";?>">
<?			if($settings["WholesaleMaxLevels"] != "2"){?>
				<input style="width:123px;" maxlength="50" type="text" name="price_level_3" value="<?=$price_level_3>0?myNum($price_level_3):"";?>">
<?			}
		}?>
			</td>
		</tr>
<?	}?>

		<tr valign="top">
			<td class="formItemCaption"><label for="checkbox_is_taxable">Is this a taxable item?</label></td>
			<td class="formItemControl">
				<input id="checkbox_is_taxable" type="checkbox" name="is_taxable" value="Yes" <?=$is_taxable=="Yes"?"checked":""?>>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Select tax class</td>
			<td class="formItemControl">
<?	$tax_classes = $taxes->getTaxClassesList();
	if(count($tax_classes) > 0){?>
				<select name="tax_class_id" style="width:250px;">
					<option value="0">Tax Class is not assigned</option>
<?		for($i=0; $i<count($tax_classes); $i++){?>
				<option value="<?=$tax_classes[$i]["class_id"]?>" <?=$tax_class_id==$tax_classes[$i]["class_id"]?'selected="selected"':''?>><?=htmlspecialchars($tax_classes[$i]["class_name"])?></option>
<?		}?>
				</select>
<?	}
else{
	echo "There are no taxes classes defined";
}
?>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Tax rate at product level</td>
			<td class="formItemControl">
				<input type="text" name="tax_rate" value="<?=$tax_rate>0?myNum($tax_rate):""?>" style="width:123px;">
				<div class="formItemComment">
					If this item has "exclusive" tax rate, please enter it here.
				</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><label for="checkbox_free_shipping">Free shipping for this product?</label></td>
			<td class="formItemControl">
				<input id="checkbox_free_shipping" type="checkbox" name="free_shipping" value="Yes" <?=$free_shipping=="Yes"?"checked":""?>>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Unit weight (<?=$settings["LocalizationWeightUnits"]?>)</td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="weight" value="<?=$weight?>">
				<div class="formItemComment">Not required if free shipping is selected.</div>
			</td>
		</tr>
<!--SHIPPING PRICE AT PRODUCT LEVEL-->
<?php
$db->query("
		SELECT
			".DB_PREFIX."shipping_selected.carrier_name,
			".DB_PREFIX."shipping_selected.ssid,
			".DB_PREFIX."products_shipping_price.is_price,
			IF(".DB_PREFIX."products_shipping_price.price IS NULL, 0.00000, ".DB_PREFIX."products_shipping_price.price) AS shipping_price
		FROM
			".DB_PREFIX."shipping_selected
		LEFT JOIN ".DB_PREFIX."products_shipping_price ON
			".DB_PREFIX."products_shipping_price.ssid = ".DB_PREFIX."shipping_selected.ssid AND
			".DB_PREFIX."products_shipping_price.pid = ".intval($pid)."
		WHERE
			carrier_id ='custom' AND
			method_id='product_level' AND
			hidden='No'
		GROUP BY
			".DB_PREFIX."shipping_selected.ssid
		ORDER BY
			".DB_PREFIX."shipping_selected.priority
	");
	if($db->numRows() > 0){
		while($db->moveNext()){?>
		<tr valign="top">
			<td class="formItemCaption">Shipping price for <?=htmlspecialchars($db->col["carrier_name"])?></td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="shipping_price[<?=$db->col["ssid"]?>]" value="<?=$db->col["is_price"] == "Yes"?myNum($db->col["shipping_price"]):""?>">
				<div class="formItemComment">
					Enter price if you want shipping charged at the product level.<br/>
					If a price is entered the "Shipping Management" settings for this item will be ignored. For free shipping enter 0.00 or click free shipping above.
				</div>
			</td>
		</tr>
<?		}
	}
	if($settings["WholesaleInterPack"] == "YES" || $settings["WholesaleCasePack"] == "YES"){?>
		<tr valign="top">
			<td class="formItemCaption">
<?		if($settings["WholesaleInterPack"] == "YES") echo "Inter Pack";
			if($settings["WholesaleCasePack"] == "YES"){?>
<?				if($settings["WholesaleInterPack"] == "YES") echo "/";
        			echo "Case Pack";
        		}
?>
			</td>
			<td class="formItemControl">
<?		if($settings["WholesaleInterPack"] == "YES"){?>
			<input style="width:123px;" maxlength="5" type="text" name="inter_pack" value="<?=$inter_pack>0?$inter_pack:"";?>">
<?		}
		if($settings["WholesaleCasePack"] == "YES"){?>
			<input style="width:123px;" maxlength="5" type="text" name="case_pack" value="<?=$case_pack>0?$case_pack:"";?>">
<?		}?>
			</td>
		</tr>
<?	}?>
		<tr valign="top">
			<td class="formItemCaption">Minimum / Maximum quantity in order</td>
			<td class="formItemControl">
				<input style="width:123px;" type="text" name="min_order" value="<?=$min_order?>">
				<input style="width:123px;" type="text" name="max_order" value="<?=$max_order?>">
				<div class="formItemComment">
					Set the minimum and maximum number this product can be purchased by your customer. The default minimum is 1.
				</div>
			</td>
		</tr>
		<tr valign="top">
		<td class="formItemCaption"><label for="checkbox_is_visible">Is this product available?</label></td>
			<td class="formItemControl">
				<input id="checkbox_is_visible" type="checkbox" name="is_visible" value="Yes" <?=$is_visible=="Yes"?"checked":""?>>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><label for="checkbox_is_hotdeal">Mark product as a "Hot Deal"?</label></td>
			<td class="formItemControl">
				<input id="checkbox_is_hotdeal" type="checkbox" name="is_hotdeal" value="Yes" <?=$is_hotdeal=="Yes"?"checked":""?>>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption"><label for="checkbox_is_home">Show product on home page?</label></td>
			<td class="formItemControl">
				<input id="checkbox_is_home" type="checkbox" name="is_home" value="Yes" <?=$is_home=="Yes"?"checked":""?>>
			</td>
		</tr>
        <?php if($google_co_active){ ?>
        <tr valign="top">
		<td class="formItemCaption"><label for="checkbox_is_google_co">Is this product available for Google Checkout?</label></td>
			<td class="formItemControl">
				<input id="checkbox_is_google_co" type="checkbox" name="is_google_co" value="Yes" <?=$is_google_co=="Yes"?"checked":""?>>

			</td>
		</tr>
        <?php }
		else { echo '<input id="checkbox_is_google_co" type="hidden" name="is_google_co" value="Yes" />';}
		 ?>
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_search.gif"></div>
				<div class="formHeaderText">SEO Properties</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Meta Keywords</td>
			<td class="formItemControl">
				<input style="width:250px;" type="text" name="meta_keywords" maxlength="255" value="<?=htmlspecialchars($meta_keywords)?>">
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Meta Title</td>
			<td class="formItemControl">
				<input style="width:250px;" type="text" name="meta_title" maxlength="255" value="<?=htmlspecialchars($meta_title)?>">
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Product URL (pre-generated)</td>
			<td class="formItemControl">
				<span style="text-decoration:underline;color:blue;"><?=htmlspecialchars($url_default)?></span>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Product URL (custom)</td>
			<td class="formItemControl">
				<input style="width:250px;" type="text" name="url_custom" maxlength="128" value="<?=htmlspecialchars($url_custom)?>">
				<div class="formItemComment">
					Enter a custom URL to be used for search engine optimization.
				</div>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Meta Description</td>
			<td class="formItemControl">
				<textarea class="no-mce" style="width:100%;height:100px;" name="meta_description"><?=htmlspecialchars($meta_description)?></textarea>
			</td>
		</tr>
	</table>
<?	if($settings["DigitalProductsActive"] == "YES" && (_ACCESS_ALL || _ACCESS_DOWNLOADS)){?>
<!--DIGITAL PRODUCTS STARTS HERE-->
	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_digital.gif"/></div>
				<div class="formHeaderText">Digital Product Properties</div>
				<div class="formHeaderButtons"><img src="images/icons/ic_arrow_down.gif" class="sliderButton" style="cursor:pointer;"></div>
			</td>
		</tr>
	</table>
	<div id="divDigital" style="display:none;" class="sliderDiv">
		<table width="100%" cellpadding="0" cellspacing="5" border="0">
			<tr valign="top">
				<td class="formItemCaption"><label for="checkbox_digital_product">Is this a digital download?</label></td>
				<td class="formItemControl">
					<input id="checkbox_digital_product" type="checkbox" name="digital_product" value="Yes" <?=$digital_product=="Yes"?"checked":""?>>
					<div class="formItemComment">
						If you select yes, the product will be classified as a digital product
						and customers may download it from your store.
						Use a FTP application to upload products to the server.
						Please upload the file/application into /content/download folder
						and enter the relative path below. You may organize any directory
						structure you like in this folder
					</div>
				</td>
			</tr>
			<tr valign="top">
				<td class="formItemCaption">Enter here path to digital product file</td>
				<td class="formItemControl">
					<input type="text" name="digital_product_file" maxlength="255" value="<?=$digital_product_file?>" style="width:250px">
					<div class="formItemComment">
						Please enter the relative path to the file.
						For example, if full file path is <u>/content/download/books/story.pdf</u>,
						your have to enter <u>books/story.pdf</u> only (exclude "/content/download").
						Do not place "/" (slash) symbol before file path
					</div>
				</td>
			</tr>
		</table>
	</div>
<?	}
else{
	if($digital_product == "Yes"){
	?>	<input type="hidden" name="digital_product" value="Yes">
	<?	}?>
		<input type="hidden" name="digital_product_file" value="<?=$digital_product_file?>">
<?	}?>

	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader">
				<div class="formHeaderIcon"><img src="images/icons/ic_change_text.gif"/></div>
				<div class="formHeaderText">Quick Overview</div>
				<div class="formHeaderButtons"><img src="images/icons/ic_arrow_down.gif" style="cursor:pointer;" class="sliderButton"></div>
			</td>
		</tr>
	</table>

	<div id="divQuickOverview" style="display:none;" class="sliderDiv">
		<table width="100%" cellpadding="0" cellspacing="5" border="0">
			<tr valign="top">
				<td class="formItemBig">
					<textarea wrap="off" style="width:100%;height:150px;" id="overview" class="no-mce" name="overview"><?=htmlspecialchars($overview)?></textarea>
					<div class="formItemComment">
						Please note: enter here plain text, HTML is not allowed in the Quick Overview.<br>This information may also appear on the Catalog pages
					</div>
				</td>
			</tr>
		</table>
	</div>

	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_change_text.gif"></div>
				<div class="formHeaderText">Product Description</div>
				<div class="formHeaderButtons">
					<a href="javascript:toggleEditorMode('description',this)"><img src="images/icons/ic_change_text.gif" style="cursor:pointer;border:0px;" alt="Edit HTML Online"/></a>
					<img src="images/icons/ic_arrow_down.gif" style="cursor:pointer;" class="sliderButton">
				</div>
			</td>
		</tr>
	</table>
	<div id="divDescription" style="display:none;" class="sliderDiv">
		<table width="100%" cellpadding="0" cellspacing="5" border="0">
			<tr valign="top">
				<td class="formItemBig">
					<textarea wrap="off" style="width:100%;height:150px;" width="100%" class="ddd" id="description" name="description"><?=htmlspecialchars($description)?></textarea>
				</td>
			</tr>
		</table>
	</div>

	<table width="100%" cellpadding="0" cellspacing="5" border="0">
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_jpg.gif"/></div>
				<div class="formHeaderText">Product Image</div>
			</td>
		</tr>
		<tr valign="top">
        	<td class="formItemCaption">Image zooming</td>
        	<td class="formItemControl">
				<select name="zoom_option" style="width:250px;">
		    		<option value="global" <?=$zoom_option=="global"?"selected":""?>>Use Global Settings</option>
					<option value="none" <?=$zoom_option=="none"?"selected":""?>>None</option>
					<option value="zoom" <?=$zoom_option=="zoom"?"selected":""?>>Zoom</option>
					<option value="magnify" <?=$zoom_option=="magnify"?"selected":""?>>Magnify</option>
                    <option value="magicthumb" <?=$zoom_option=="magicthumb"?"selected":""?>>Magic Thumb</option>
                    <option value="imagelayover" <?=$zoom_option=="imagelayover"?"selected":""?>>Image Layover</option>
				</select>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Primary image</td>
     		<td class="formItemControl">
				<input style="width:250px;" type="file" name="image">
				<div class="formItemComment">
					Accepted file types are JPG, PNG and GIF.
<?	if($settings["CatalogThumbType"] != "Manual"){?>
					Thumbnails can only be generated from .JPG and .PNG file types only.
<?	}?>
					If you would like to add additional images, click
					the "Secondary Images" tab at the top of the page.
				</div>
			</td>
		</tr>
<?	if($settings["CatalogThumbType"] == "Manual"){?>
		<tr valign="top">
			<td class="formItemCaption">Thumbnail Image</td>
			<td class="formItemControl">
				<input style="width:250px;" type="file" name="image_thumb">
			</td>
		</tr>
<?	}
	if($settings["CatalogThumb2Type"] == "Manual"){?>
		<tr valign="top">
      		<td class="formItemCaption">Product Page Image :</td>
			<td class="formItemControl">
				<input style="width:250px;" type="file" name="image_thumb2">
			</td>
		</tr>
<?	}
if($mode != "insert"){
	if($image_location == "Local"){
		$img_file = ProductHasImage($product_id);
		$thumb = ProductHasThumb($product_id);
		$thumb2 = ProductHasThumb2($product_id);
		if($img_file || $thumb || $thumb2){
			if($img_file){
				$size = getimagesize($img_file);?>
		<tr valign="top">
			<td class="formItemCaption">
				Current Image<br/>
				(<?=gs($img_file)?>, <?=$size[0]?>x<?=$size[1]?> pixels, <?=number_format(filesize($img_file)/1024, 2, ".", ",")?> Kb)
			</td>
			<td class="formItemControl">
				<img src="<?=$settings["GlobalHttpUrl"]."/".$img_file?>?<?=rand(1, 9999999)?>" border="1" width="<?=$size[0]>500?500:$size[0]?>" border="0"><br>
				<input type="checkbox" name="cb_delete_image" id="cb_delete_image">
				<label for="cb_delete_image">Check to delete</label>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">Thumbnail for this image</td>
			<td class="formItemControl">
<?				if($thumb){?>
				<img src="<?=$thumb?>?<?=rand(1, 9999999)?>" border="1"><br>
				<input type="checkbox" name="cb_delete_thumb" id="cb_delete_thumb">
				<label for="cb_delete_thumb">Check to delete</label>
<?				}
				else{
					echo "There is no thumbnail for this image";
				}
?>
			</td>
		</tr>
<?			}?>
		<tr valign="top">
			<td class="formItemCaption">Image on product page</td>
			<td class="formItemControl">
<?				if($thumb2){?>
				<img src="<?=$thumb2?>?<?=rand(1, 9999999)?>" border="1"><br>
				<input type="checkbox" name="cb_delete_thumb2" id="cb_delete_thumb2">
				<label for="cb_delete_thumb2">Check to delete</label>
<?				}
				else{
					echo "There is no image for product page";
				}
?>
			</td>
		</tr>
		<tr valign="top">
			<td class="formItemCaption">&nbsp;</td>
			<td class="formItemControl">
				<a href="javascript:ConfirmDeleteProductImage(<?=$pid?>)"><b>Delete selected images</b></a>
			</td>
		</tr>
<?			}
	}
	else{
		if($image_url != ""){
?>

		<tr valign="top">
			<td class="formItemCaption">Current Image</td>
			<td class="formItemControl">
				<a href="<?=$image_url?>" target="img"><img src="<?=$image_url?>" height="250" style="border-color:black;" border="1"></a><br/>
				<?=$image_url?><br/>
				<div class="formItemComment">(Click over image to see it real size)</div>
			</td>
		</tr>
<?		}
	}
}
?>
		<tr valign="top">
			<td class="formItemCaption">Image ALT Text</td>
			<td class="formItemControl">
				<input style="width:250px;" type="text" name="image_alt_text" maxlength="128" value="<?=htmlspecialchars($image_alt_text)?>">
				<div class="formItemComment">
					Enter the alternate text for the image. If left blank, it will use Product Title text.
				</div>
			</td>
		</tr>
		
		
		<? // 2010-07-12 pkolas ?>
		<tr>
			<td class="formHeader" colspan="2">
				<div class="formHeaderIcon"><img src="images/icons/ic_folder.gif"></div>
				<div class="formHeaderText">Videos</div>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<table width="700" cellpadding="0" cellspacing="0" style="margin-left:20px;">
				<tr>
					<td>Video Title</td>
					<td>Video Stream File (*.mp4, *.flv etc)</td>
					<td>Cover Image</td>
				</tr>
				<tr>
					<td>
						<textarea wrap="off" style="width:230px;height:150px;" id="video_title" class="content" name="video_title"><?=htmlspecialchars($video_title)?></textarea>
					</td>
					<td>
						<textarea wrap="off" style="width:230px;height:150px;" id="video_file" class="content" name="video_file"><?=htmlspecialchars($video_file)?></textarea>
					</td>
					<td>
						<textarea wrap="off" style="width:230px;height:150px;" id="video_cover" class="content" name="video_cover"><?=htmlspecialchars($video_cover)?></textarea>
					</td>
				</tr>
				</table>			
				
			
			</td>
			
		</tr>
		<? // 2010-07-12 pkolas end ?>
		
</table>
</div>