<?php
	if (!defined("ENV")) exit();
	pageHeader("Promo Codes", "", "");
	
	$from_y = isset($from_y)?$from_y:date("Y");
	$from_m = isset($from_m)?$from_m:date("n");
	$from_d = isset($from_d)?$from_d:1;
	$to_y = isset($to_y)?$to_y:date("Y");	
	$to_m = isset($to_m)?$to_m:date("n");
	$to_d = isset($to_d)?$to_d:date("t", mktime(1,1,1,$to_m, 1, $to_y));
	
	$action = empty($action)?"":$action;
	if($action == "insert" && !DEMO_LOCK){
		$mysql_from =  $from_y."-".$from_m."-".$from_d." 00:00:01";
		$mysql_to =  $to_y."-".$to_m."-".$to_d." 23:59:59";
		$db->reset();
		$db->assignStr("name", $name);
		$db->assignStr("promo_code", $promo_code);
		$db->assignStr("date_start", $mysql_from);
		$db->assignStr("date_stop", $mysql_to);
		$db->assignStr("is_active", $is_active);
		$db->assignStr("is_global", $is_global);
		$db->assignStr("min_amount", $min_amount);
		$db->assignStr("discount", $discount);
		$db->assignStr("discount_type", $discount_type);
		$db->insert(DB_PREFIX."promo_codes");
	}
	if($action == "delete" && !DEMO_LOCK){
		$db->query("DELETE FROM ".DB_PREFIX."promo_codes WHERE pid='".$pid."'");
	}
	if($action == "update" && !DEMO_LOCK){
		$db->query("UPDATE ".DB_PREFIX."promo_codes SET is_active='No'");
		$is_active = empty($is_active)?array():$is_active;
		foreach($is_active as $id=>$v){
			$db->query("UPDATE ".DB_PREFIX."promo_codes SET is_active='Yes' WHERE pid='".$id."'");
		}
	}
	
	loadJS("cf_promo.js");
	loadJS("cd_promo.js");
	$db->query("
		SELECT *, 
			DATE_FORMAT(date_start, '%m/%d/%Y') AS date1,
			DATE_FORMAT(date_stop, '%m/%d/%Y') AS date2
		FROM ".DB_PREFIX."promo_codes ORDER BY pid");
	if($db->numRows() < 1){
		pageNote(array(
			array("icon"=>"ic_hint.gif", "text"=>"<b>There are currently no promo codes.</b>", "url"=>"", "visible"=>true)
		));
	}
	else{
?>
&nbsp;
<table bgcolor="<?=$clTableFrame?>" width="100%" cellpadding="1" cellspacing="1" border="0"><tr><td bgcolor="#FFFFFF"><table width="100%" cellpadding="0" cellspacing="0" border="0">
<form name="frmTaxes" action="admin.php?p=promo_codes" method="post">
	<input type="hidden" name="action" value="update">
	<tr>
		<td colspan="6" class="th">
			<img src="images/icons/ic_insert_row.gif" align="left" hspace="6">
			Promo Codes
		</td>
	</tr>
	<tr>
		<td colspan="6">
			<table width="100%" cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td height="40" width="40%" style="text-align:right;">Do you want to enable promo codes?</td>
					<td width="5%">&nbsp;</td>
					<td width="55%">
						<select value="PromoActive" style="width:80px;">
							<option value="Yes">Yes</option>
							<option value="No">No</option>
						</select>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td class="th" width="5%">&nbsp;</td>
		<td class="th" width="20%">Campaign Name</td>
		<td class="th" width="30%">Date Ranges</td>
		<td class="th" width="15%">Promo Code</td>
		<td class="th" width="15%">Global</td>
		<td class="th" width="15%">Discount</td>
		<td class="th" width="15%">Action</td>
	</tr>
<?	while($db->moveNext()){?>
	<tr>
		<td class="tt" align="center">
			<input type="checkbox" name="is_active[<?=$db->col["pid"]?>]" value="Yes" <?=$db->col["is_active"]=="Yes"?"checked":""?>>
		</td>
		<td class="tt"><?=gs($db->col["name"])?></td>
		<td class="tt"><?=gs($db->col["date1"])?> - <?=gs($db->col["date2"])?></td>
		<td class="tt"><?=gs($db->col["promo_code"])?></td>
		<td class="tt"><?=gs($db->col["is_global"])?></td>
		<td class="tt"><?=$db->col["discount_type"]=="amount"?getAdminPrice($db->col["discount"]):(number_format($db->col["discount"],2)." %")?></td>
		<td class="tt">
			<a href="javascript:ConfirmDeletePromo(<?=$db->col["pid"]?>)"><img src="images/icons/ic_delete.gif" border="0"></a>
		</td>
	</tr>
<?	}?>

	<tr>
		<td colspan="6" class="fb">
			<input type="image" src="images/admin/bt_save_changes.gif"> &nbsp;
			<input type="image" src="images/admin/bt_reset_form.gif" onClick="frmTaxes.reset();return false;">
		</td>
	</tr>
</form>
</table>
</td></tr></table>
<?
	}
?>

&nbsp;
<table bgcolor="<?=$clTableFrame?>" width="100%" cellpadding="1" cellspacing="1" border="0"><tr><td bgcolor="#FFFFFF">
<table width="100%" cellpadding="0" cellspacing="0" border="0">
<form name="frmPromo" action="admin.php?p=promo_codes" method="post" onsubmit="return CheckPromoForm(this)" enctype="multipart/form-data">
	<input type="hidden" name="action" value="insert">
	<tr>
		<td colspan="3" class="th">
			<img src="images/icons/ic_insert_row.gif" align="left" hspace="6">
			Create a New Promo Code
		</td>
	</tr>
	<tr valign="top">
		<td height="40" align="right" style="padding-top:13px;" width="40%"><b>Campaign Name</b> :</td>
		<td width="5%">&nbsp;</td>
		<td style="padding-top:10px;" width="55%">
			<input style="width:160px;" type="text" name="name"><br>
		</td>
	</tr>
	<tr>
		<td align="right"><b>Promo Code</b> :</td>
		<td>&nbsp;</td>
		<td><input style="width:160px;" type="text" name="promo_code"></td>
	</tr>
	<tr>
		<td height="40" align="right"><b>Is it Active?</b> :</td>
		<td>&nbsp;</td>
		<td>
			<select name="is_active">
				<option value="Yes">Yes</option>
				<option value="No">No</option>
			</select>
		</td>
	</tr>
	<tr>
		<td height="40" align="right"><b>Is it Global?</b> :</td>
		<td>&nbsp;</td>
		<td>
			<select name="is_global">
				<option value="Yes">Yes</option>
				<option value="No">No</option>
			</select>
		</td>
	</tr>
	<tr>
		<td align="right">Start Date :</td>
		<td>&nbsp;</td>
		<td>
			<select name="from_m">
<?		for($i=1; $i<=12; $i++){?>
				<option value="<?=$i?>" <?=$i == $from_m?"selected":""?>><?=$months[$i]?></option>
<?		}?>		</select>
			<select name="from_d">
<?				for($i=1; $i<=31; $i++){?>
				<option value="<?=$i?>" <?=$i == $from_d?"selected":""?>><?=$i?></option>
<?				}?>
			</select>
			<select name="from_y">
<?				for($i=2003; $i<=date("Y")+10; $i++){?>
				<option value="<?=$i?>" <?=$i == $from_y?"selected":""?>><?=$i?></option>
<?				}?>
			</select>
		</td>
	</tr>
	<tr>
		<td height="40" align="right">Finish Date :</td>
		<td>&nbsp;</td>
		<td>
			<select name="to_m">
<?		for($i=1; $i<=12; $i++){?>
				<option value="<?=$i?>" <?=$i == $to_m?"selected":""?>><?=$months[$i]?></option>
<?		}?>		</select>
			<select name="to_d">
<?		for($i=1; $i<=31; $i++){?>
				<option value="<?=$i?>" <?=$i == $to_d?"selected":""?>><?=$i?></option>
<?		}?>
			</select>
			<select name="to_y">
<?		for($i=2003; $i<=date("Y")+10; $i++){?>
				<option value="<?=$i?>" <?=$i == $to_y?"selected":""?>><?=$i?></option>
<?		}?>
			</select>
		</td>
	</tr>
	<tr>
		<td align="right"><b>Discount</b> :</td>
		<td>&nbsp;</td>
		<td>
			<input style="width:80px;" type="text" name="discount">
			<select name="discount_type">
				<option value="amount"><?=$admin_currency["code"]?></option>
				<option value="percent">%</option>
			</select>
		</td>
	</tr>
	<tr>
		<td align="right" height="40"><b>Minimal Order Subtotal For This Code</b> :</td>
		<td>&nbsp;</td>
		<td><input style="width:80px;" type="text" name="min_amount"></td>
	</tr>
	<tr>
		<td colspan="3" class="fb">
			<input type="image" src="images/admin/bt_save_changes.gif" default> &nbsp;
			<input type="image" onClick="frmPromo.reset();return false;" src="images/admin/bt_reset_form.gif">
		</td>
	</tr>
	</form>
</table>
</td></tr></table>