<?php
	if (!defined("ENV")) exit();

	loadJS("cf_shipping.js");
	loadJS("cd_shipping.js");
	pageHeader("Shipping Management", "", "ic_shipping.gif");
	pageNote(array(
		array("icon"=>"ic_hint.gif", "text"=>"This section allows you to control the shipping methods of the cart. You can choose not to have the cart calculate shipping, or you can choose FedEx,<br/> UPS or USPS real-time shipping. You can also choose to create a custom shipping program.", "url"=>"", "visible"=>true),
		//array("icon"=>"ic_settings.gif", "text"=>"Edit Fed-Ex and USPS Realtime configurations", "url"=>"admin.php?p=shipping_realtime_settings", "visible"=>true)
	));

	$last_active_tab = isset($last_active_tab)?trim($last_active_tab):"idTabSettings";
	pageTabs(array(
		array("title"=>"Global Shipping Settings", "id"=>"Settings", "active"=>$last_active_tab == "idTabSettings", "width"=>125),
		array("title"=>"Real-Time Methods", "id"=>"Realtime", "active"=>$last_active_tab == "idTabRealtime", "width"=>100, "visible"=>true),
		array("title"=>"Custom Methods", "id"=>"Custom", "active"=>$last_active_tab == "idTabCustom", "width"=>95, "visible"=>true),
		array("title"=>"Real-Time Shipping Configurations", "id"=>"RealtimeSettings", "active"=>$last_active_tab == "idTabRealtimeSettings", "width"=>180, "visible"=>true)
	));

	require_once("content/admin/admin_shipping_settings.php");
	require_once("content/admin/admin_shipping_realtime.php");
	require_once("content/admin/admin_shipping_custom.php");
	require_once("content/admin/admin_shipping_realtime_settings.php");
