(function($) {
	// cache templates in object
	var loadedTemplates = {};
	// set the div that controls the loaded templates
	$('body').append('<div id="ddmLoad"><div id="ddmContent"></div></div>');
	
	$.ddmLoad = function(template, options)
	{
		// our default settings
		var defaults = {
			cache: true,
			preDispatch: function(){},
			callback: function(){}
		};
		
		// extend the settings
		var $settings = $.extend(defaults,options);
		
		// store the template's HTML
		if (!loadedTemplates[template] || !$settings.cache)
		{
			loadedTemplates[template] = true;
			$.get(template, function(data){
				$('#ddmLoad').append('<div id="' + template + '">' + data + '</div>');
				$('#'+template).appendTo('#ddmContent');
			});
		}
		else
		{
			$('#ddmContent').html($('#'+template).html());
		}
	}
})(jQuery);