<?php 

/**
 * @class ShoppingCartCart
 */
class ShoppingCartCart{
	public $db;
	public $order;
	function ShoppingCartCart(&$db, &$order){
		$this->db = $db;
		$this->order = $order;
		return $this;
	}
	
	/////////////////////////////
	//Get Product Thumb
	function getProductThumb($product_id, $image_location, $image_url){
		if($image_location == "Web" && $image_url != ""){
			return $image_url;
		}
		else{
			$product_id = strtolower(trim($product_id));
			for($k=0; $k<strlen($product_id); $k++){
				if(in_array($product_id[$k], array("\\", "/", "*", ":", "?", "<", ">", "|", '"', "'")))$product_id[$k] = "_";
			}
			$tf = "images/products/thumbs/".$product_id.".jpg";
			if(file_exists($tf)){
				return $tf;
			}
		}
		return false;
	}
	
	//////////////////////////////////////
	//Get Shopping Cart Items
	function getItems(){
		$this->db->query("SELECT * FROM ".DB_PREFIX."orders_content ORDER BY title");
		return $this->db->numRows()>0?$this->db->getRecords():false;
	}
	
}
