<?php
/**
 * User signup
 */

if (!defined("ENV")) exit();

if ($user->auth_ok)
{
	$user->logOut();
}

$form = isset($_POST["form"]) ? $_POST["form"] : array();
$form = is_array($form) ? $form : array();

if ($user->signUp($form))
{
	// store custom fields
	$custom_field = isset($_POST["custom_field"]) ? $_POST["custom_field"] : array();
	$custom_field = is_array($custom_field) ? $custom_field : array();

	$custom_fields->StoreCustomFields("signup", $custom_field, $user->id, 0, 0);

	emailNewUserRegistered($db, $user->id, $custom_fields);

	$user->login($form["login"], $form["password"]);
	
	if ($user->auth_ok)
	{
		if (isset($_SESSION["wl_pid"]))
		{
			$backurl = $url_dinamic."ua=".USER_ADD_TO_WISHLIST."&wl_action=addto_wishlist&pid=".$_SESSION["wl_pid"];
			session_unregister("wl_pid");
			unset($_SESSION["wl_pid"]);
		}
		elseif (isset($_SESSION["user_started_checkout"]))
		{
			$backurl = $url_dinamic."oa=".($settings["CheckoutProcessMode"]=="Traditional"?ORDER_BILLING_AND_SHIPPING_ADDRESS:ORDER_ONE_PAGE_CHECKOUT);;
		}
		else
		{				
			$backurl = $url_dinamic."p=cart";
		}
		unset($_SESSION["user_started_checkout"]);
	}
}
