<?php
/**
 * Show users address book
 */

if (!defined("ENV")) exit();

if ($user->auth_ok)
{
	view()->assign("addresses", $user->getShippingAddresses());
	view()->assign("allow_select", "no");
	
	if ($ua == USER_ADD_ADDRESS)
	{
		if ($user->is_error)
		{
			view()->assign("user_errors", $user->errors);
			view()->assign("edit_address", $_POST["form"]);
		}
	}

	require_once("content/classes/class.regions.php");
	$regions = new Regions($db);
	view()->assign("countries_states", json_encode($regions->getCountriesStatesForSite()));
	view()->assign("body", "templates/pages/account/address-book.html");
}
else
{
	view()->assign("body", "templates/pages/account/auth-error.html");
}