<?php
/**
 * User login page
 */

if (!defined("ENV")) exit();

//assign post / cookie vars
if (isset($_POST["login"]))
{
	view()->assign("login", $_POST["login"]);
	view()->assign("remember_me", isset($_POST["remember_me"]));
}
elseif (isset($_COOKIE[$settings["SecurityCookiesPrefix"]."LoginUserName"]))
{
	view()->assign("login", $_COOKIE[$settings["SecurityCookiesPrefix"]."LoginUserName"]);
	view()->assign("remember_me", true);
}

//assign security vars
view()->assign("account_blocked", $user->blocked);
view()->assign("auth_ok", $user->auth_ok);
view()->assign("auth_error", $ua == USER_LOGIN);

//assogn service data
view()->assign("cart_items_count", $order->itemsCount);

//assign template
view()->assign("body", "templates/pages/account/login.html");
