// LOAN
// vehicle Price (range:  0 to 500000)
var vpLoanDefault = "0"
var vpLoanMin = "0"
var vpLoanMax = "500000"
var vpLoanErrMsg = "Vehicle Price must be greater than Down Payment + Trade-In Value and less than $500,000."
var vpLoanDecPlaces = 0
// down payment (range:  0 to vp - tv)
var dpLoanDefault = "0"
var dpLoanMin = "0"
var dpLoanMax = eval(parseFloat(vpLoan) - parseFloat(tvLoan))
var dpLoanErrMsg = "Trade-In Value + Down Payment must be less than Vehicle Price."
var dpLoanDecPlaces = 0
// trade-in (range: - to vp - dp)
var tvLoanDefault = "0"
var tvLoanMin = "0"
var tvLoanMax = eval(parseFloat(vpLoan) - parseFloat(dpLoan))
var tvLoanErrMsg = "Trade-In Value + Down Payment must be less than Vehicle Price."
var tvLoanDecPlaces = 0
// Sales Tax (range:  0 to 100)
var stPerLoanDefault = "0"
var stPerLoanMin = "0"
var stPerLoanMax = "100"
var stPerLoanErrMsg = "Sales Tax must be between 0 and 100."
var stPerLoanDecPlaces = 3
// sales tax ($) (range:  0 to (vp * stPer / 100))
var stDolLoan = "0"
var stDolLoanDefault = "0"
var stDolLoanMin = "0"
var stDolLoanMax = ""
var stDolLoanErrMsg = "Sales tax ($) must be less than 100% equivalent Sales Tax."
var stDolLoanDecPlaces = 3
// rate (interest) (range:  0 to 50)
var rateLoanDefault = "7"
if ( (rateLoan == "") || isNaN(rateLoan) ) {
  rateLoan = rateLoanDefault;
} else {
  rateLoanDefault = rateLoan;
}
var rateLoanMin = "0"
var rateLoanMax = "50"
var rateLoanErrMsg = "Interest Rate must be between 0 and 50."
var rateLoanDecPlaces = 3
// term (range: 6 to 96)
var termLoan = "48"
var termLoanDefault = "48"
var termLoanMin = "6"
var termLoanMax = "96"
var termLoanErrMsg = "Term of loan must be between 6 and 96."
var termLoanDecPlaces = 0
// monthly payment (range:  0 to 5000)
var mpLoan = "0.00"
var mpLoanDefault = "0"
var mpLoanMin = "0"
var mpLoanMax = "5000"
var mpLoanErrMsg = "Monthly payment must be between 0 and 5,000."
var mpLoanDecPlaces = 2
// amount financed
var afLoan = "0"
var afLoanDefault = "0"
var afLoanDecPlaces = 2
// total spent
var tsLoan = "0"
var tsLoanDefault = "0"
var tsLoanDecPlaces = 2
// comparible cost to own
var cctoLoan = "0"
var cctoLoanDefault = "0"
var cctoLoanDecPlaces = 2

// LEASE
// vehicle Price (range:  0 to 500000)
var vpLeaseDefault = "0"
var vpLeaseMin = "100"
var vpLeaseMax = "500000"
var vpLeaseErrMsg = vpLoanErrMsg;
var vpLeaseDecPlaces = 0
// down payment (range:  0 to vp - dp)
var dpLease = "0"
var dpLeaseDefault = "0"
var dpLeaseMin = "0"
var dpLeaseMax = eval(parseFloat(vpLease) - parseFloat(tvLease))
var dpLeaseErrMsg = dpLoanErrMsg
var dpLeaseDecPlaces = 0
// trade in (range:  0 to vp - dp)
var tvLeaseDefault = "0"
var tvLeaseMin = "0"
var tvLeaseMax = eval(parseFloat(vpLease) - parseFloat(dpLease))
var tvLeaseErrMsg = tvLoanErrMsg
var tvLeaseDecPlaces = 0
// Sales Tax (range:  0 to 100)
var stPerLeaseDefault = "0"
var stPerLeaseMin = "0"
var stPerLeaseMax = "100"
var stPerLeaseErrMsg = "Sales Tax must be between 0 and 100."
var stPerLeaseDecPlaces = 3
// sales tax ($) (range:  0 to (vp * stPer / 100))
var stDolLease = "0"
var stDolLeaseDefault = "0"
var stDolLeaseMin = "0"
var stDolLeaseMax = ""
var stDolLeaseErrMsg = "Sales tax ($) must be less than 100% equivalent Sales Tax."
var stDolLeaseDecPlaces = 3
// rate (interest) (range:  0 to 50)
if (rateLease == "0" && rateLoan != "0") rateLease = rateLoan/2400;
if(rateLease.toString().length > 7) rateLease = rateLease.toString().substring(0,7);
var rateLeaseDefault = "0"
if (rateLease > 0 ) rateLeaseDefault = rateLease;
var rateLeaseMin = "0"
var rateLeaseMax = "1"
var rateLeaseErrMsg = "It appears as though you have entered an equivalent interest rate for your Money Factor. To find the Money Factor, divide the equivalent interest rate by 2,400. Click \"OK\" to calculate the equivalent Money Factor based on your entry."
var rateLeaseDecPlaces = 6
// term (range: 6 to 72)
if (termLease == "")
{
termLease = "36"
}
var termLeaseDefault = "36"
var termLeaseMin = "6"
var termLeaseMax = "72"
var termLeaseErrMsg = "Term of Lease must be between 6 and 72."
var termLeaseDecPlaces = 0
// residual value (range: 0 to vehicle price)
var rvLeaseDefault = "0"
var rvLeaseMin = "0"
var rvLeaseMax = vpLease
var rvLeaseErrMsg = "Residual Value must be less than leased Vehicle Price."
var rvLeaseDecPlaces = 0
// monthly payment (range:  0 to 5000)
var mpLease = "0.00"
var mpLeaseDefault = "0"
var mpLeaseMin = "0"
var mpLeaseMax = "5000"
var mpLeaseErrMsg = "Monthly Payment must be between 0 and $5,000."
var mpLeaseDecPlaces = 2
// lease price
var lpLease = "0"
var lpLeaseDefault = "0"
var lpLeaseDecPlaces = 2
// total spent
var tsLease = "0"
var tsLeaseDefault = "0"
var tsLeaseDecPlaces = 2
// additional cost to purchase
var acLease = "0"
var acLeaseDefault = "0"
var acLeaseDecPlaces = 0
// comparible cost to own
var cctoLease = "0"
var cctoLeaseDefault = "0"
var cctoLeaseDecPlaces = 2