<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1 //EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1.dtd">
<html>
<head>

    <script language="JavaScript" type="text/javascript">//<!--
    // Load default values for JS:

    // Loan params:
    var vpLoanParam = "0";  // Use vp if vpLoan doesn't exist in URL
    if (vpLoanParam == "" || vpLoanParam == "null" || isNaN(vpLoanParam))
    {
      vpLoanParam = "";  // Use vp if vpLoan doesn't exist in URL
    }
    var dpLoanParam = "0";
    var tvLoanParam = "0";
    var stLoanParam = "0";
    var rebateLoanParam = "";
    var rateLoanParam = "7.62";
    var termLoanParam = "36";
    var mpLoanParam = "0.00";
    var tcLoanParam = "0";

    // Lease params:
    var vpLeaseParam = ""; // Use vp if vpLease doesn't exist in URL
    vpLeaseParam = "";
    var dpLeaseParam = "";
    var tvLeaseParam = "";
    var stLeaseParam = "";
    var rvLeaseParam = "";
    var mfLeaseParam = "";
    var rateLeaseParam = "";
    var termLeaseParam = "";
    var mpLeaseParam = "";

    // Vehicle info params:
    var mknmParam = "";
    var mdnmParam = "";
    var mdnm_TextParam = "";
    var yrParam = "";
    var trimParam = "";
    
    // Other params:

    // Values: yes. Do affordability or "reverse" calculation if affordability=yes
    var affordabilityParam = "";
    // Values: n_rval, rval, more..? Filter residual values content based on this param
    var fltParam = "n_rval";
    var rvflagParam = "";
    // Values: new, used. Default to "new" or "used" rate?
    var preloadRateParam = "";
    
    // Constants:
    var RATE_DATE = "10/07/09"; // string
    var RATE_USED = 7.62; // float
    var RATE_NEW = 7.32; // float    
  //--></script>
    
  <script src="<?=$_GET['path']?>loanLeaseCalc.js" type="text/javascript" language="JavaScript"></script>
  <script src="<?=$_GET['path']?>calcCommon.js" type="text/javascript" language="JavaScript"></script>
  
  <script type="text/javascript">
   var micrositeParam=false;
  </script>
  
  <style type="text/css">

    iframe#storage {
      border:0px;
      width:0px;
      height:0px;
    }

    .customField { color: #000000; border: 0px none ; background: rgb(255, 255, 255) none repeat scroll 0%;}
	
	div#non_popup_container{width: 760px; float:left;}
	div#calc_adTag {float:left; width:160px;height:600px;}
	
	
	.tagCashback, .tagFinancing, .dollarSign, .gutterOne, .gutterTwo, .colTwo, .colFive {
		font-family: Verdana, Arial;
		font-size:11px;
		color:#978104;
	}
	
	.colOne a:link, .colOne a:visited, colOne a:hover, colOne a:active {
		font-family: Verdana, Arial;
		font-size:11px;
		color:#978104;
		text-decoration: none;
	}
	
	.tagFinancing a:link, .tagFinancing a:visited, tagFinancing a:hover, tagFinancing a:active {
		font-family: Verdana, Arial;
		font-size:11px;
		color:#978104;
		text-decoration: none;
	}

	/*	
	.customField {
		border: 0px none ;
		color: #FFFFFF;
		background-color: #303030;
	}
	*/
	
	.colFour a:link, .colFour a:visited, colFour a:hover, colFour a:active {
		font-family: Verdana, Arial;
		font-size:11px;
		color:#978104;
		text-decoration: none;
	}
	
	a:link, a:visited, a:hover, a:active {
		font-family: Verdana, Arial;
		font-size:11px;
		color:#978104;
		text-decoration: none;
	}
	
	BODY, P, DIV, TD, BLOCKQUOTE {
		font-family:verdana;
		font-size:12px;
		font-style:normal;
		font-weight:normal;
		color:#978104;
	}

		
  </style>




</head>

<body onLoad="initCalcResults();">

<form id="LoanLeaseResultForm" name="LoanLeaseResultForm" onsubmit="return false;">
<input type="hidden" name="stDolLoan" value="0">
<input type="hidden" name="stDolLease" value="0">
<table border="0" cellspacing="0" cellpadding="0">
	<tr>
		<td>	
    		<table>
    		   <tr>

    	   	   <td colspan="9">Enter loan and lease terms to compare approximate monthly payments for each equipment/vehicle financing method.</td>
    		   </tr>
    		   <tr>
					<td colspan="4"><h3 style="color:#978104;">Loan Terms</h2></td>
					<td colspan="4"><h3 style="color:#978104;">Lease Terms</h2></td>
					<td class="advertisement" rowspan="4"></td>
    		   </tr>
    		   <tr>
    	   	   <td class="tagCashback">Vehicle Price:</td>
    			   <td class="dollarSign">$</td>
    			   <td class="inputColumn"><input name="vpLoan" type="text" value="0" size="6" tabindex="5" onFocus="this.select();" onChange="validateField(this);"></td>
    			   <td class="gutterOne"></td>
    			   <td class="tagFinancing">Vehicle Price:</td>

    			   <td class="dollarSign">$</td>
    			   <td class="inputColumn"><input name="vpLease" type="text" value="0" size="6" tabindex="50" onFocus="this.select();" onChange="validateField(this);"></td>
    			   <td class="gutterTwo"></td>
    		   </tr>
    		   <tr>
    	   	   <td class="tagCashback">Down Payment:</td>
    			   <td class="dollarSign">$</td>

    			   <td class="inputColumn"><input name="dpLoan" type="text" value="0" size="6" tabindex="10" onFocus="this.select();" onChange="validateField(this);"></td>
    			   <td class="gutterOne"></td>
    			   <td class="tagFinancing">Down Payment:</td>
    			   <td class="dollarSign">$</td>
    			   <td class="inputColumn"><input name="dpLease" type="text" value="0" size="6" tabindex="55" onFocus="this.select();" onChange="validateField(this);"></td>
    			   <td class="gutterTwo"></td>
    		   </tr>
    		   <tr>

    	   	   <td class="tagCashback">Trade-In Value:</td>
    			   <td class="dollarSign">$</td>
    			   <td class="inputColumn"><input name="tvLoan" type="text" value="0" size="6" tabindex="15" onFocus="this.select();" onChange="validateField(this);"></td>
    			   <td class="gutterOne"></td>
    			   <td class="tagFinancing">Trade-In Value:</td>
    			   <td class="dollarSign">$</td>
    			   <td class="inputColumn"><input name="tvLease" type="text" value="0" size="6" tabindex="60" onFocus="this.select();" onChange="validateField(this);"></td>

    			   <td class="gutterTwo"></td>
    		   </tr>
    		   <tr>
    	   	   <td class="tagCashback">Sales Tax:</td>
    			   <td class="dollarSign"></td>
    			   <td class="inputColumn"><input name="stPerLoan" type="text" value="0" size="6" tabindex="20" onFocus="this.select();" onChange="validateField(this);"></td>
    			   <td class="gutterOne">%</td>
    			   <td class="tagFinancing">Sales Tax:</td>

    			   <td class="dollarSign"></td>
    			   <td class="inputColumn"><input name="stPerLease" type="text" value="0" size="6" tabindex="65" onFocus="this.select();" onChange="validateField(this);"></td>
    			   <td class="gutterTwo">%</td>
    			   <td class="rateInfo" rowspan="6">
					<div class="loanRates" style="border: 1px solid #CCCCCC;margin-left:30px;padding:20px;">
						<h3>Current Loan Rates</h3>
						<p>U.S. average for <br> 10/07/09</p>

						<p><b>New</b> (48 mo.)<br>7.32%</p>  
						<p><b>Used</b> (36 mo.)<br>7.62%</p>
						
						<p><a href="http://www.bankrate.com/crc/rate/auto_home.asp" target="_blank">
						Check Local Rates From Bankrate.com</a></p>
						
					</div>
    			   </td>
    		   <tr>
             <td class="tagCashback"></td>
    			   <td class="dollarSign"></td>
    			   <td class="inputColumn"></td>
    			   <td class="gutterOne"></td>
    			   <td class="tagFinancing"><a href="#" class="definition" onClick="showGlossary('calcGlossary.htm#residualValue');return false;">Residual Value:</a></td>

    			   <td class="dollarSign">$</td>
    			   <td class="inputColumn"><input name="rvLease" type="text" value="0" size="6" tabindex="70" onFocus="this.select();" onChange="validateField(this);"></td>
    			   <td class="gutterTwo" nowrap><a href="#" class="definition" onClick="showGlossary('calcGlossary.htm#residualValue');return false;">Get Value</a></td>
    		   </tr>
    		  	<tr>
    	   	   <td class="tagCashback">Interest Rate:</td>
    			   <td class="dollarSign"></td>

    			   <td class="inputColumn"><input name="rateLoan" type="text" value="7.32" size="6" tabindex="25" onFocus="this.select();" onChange="validateField(this);"></td>
    			   <td class="gutterOne">%</td>
    			   <td class="tagFinancing"><a href="#" onClick="showGlossary('calcGlossary.htm#moneyFactor');return false;">Money Factor:</a></td>
    			   <td class="dollarSign"></td>
    			   <td class="inputColumn"><input name="rateLease" type="text" value="0" size="6" tabindex="75" onFocus="this.select();" onChange="validateField(this);"></td>
    			   <td class="gutterTwo"></td>
    		   </tr>
    		  	<tr>

    		   	 <td class="tagCashback">Term (Months):</td>
    			   <td class="dollarSign"></td>
    			   <td class="inputColumn"><input name="termLoan" type="text" value="48" size="6" tabindex="30" onFocus="this.select();" onChange="validateField(this);"></td>
    			   <td class="gutterOne"></td>
    			   <td class="tagFinancing">Term (Months):</td>
    			   <td class="dollarSign"></td>
    			   <td class="inputColumn"><select name="termLease" onChange="processLeaseTerm();" tabindex="80" style="width:50px">
                <option value="12">12</option>

                <option value="18">18</option>
                <option value="24">24*</option>
                <option value="30">30</option>
                <option value="36" selected>36*</option>
                <option value="42">42</option>
                <option value="48">48*</option>

                <option value="54">54</option>
                <option value="60">60*</option>
                <option value="66">66</option>
                <option value="72">72</option></select>
             </td>
    			   <td class="gutterTwo"></td>
    		   </tr>

    		  	<tr>
    		   	 <td class="tagCashback"><b>Monthly Payment:</b></td>
    			   <td class="dollarSign">$</td>
    			   <td class="inputColumn"><input name="mpLoan" type="text" value="0".00 size="6" tabindex="35" onFocus="this.select();" onChange="validateField(this);"></td>
    			   <td class="gutterOne"></td>
    			   <td class="tagFinancing"><b>Monthly Payment:</b></td>
    			   <td class="dollarSign">$</td>

    			   <td class="inputColumn"><input name="mpLease" type="text" value="0.00" size="6" tabindex="85" onFocus="this.select();" onChange="validateField(this);"></td>
    			   <td class="gutterTwo"></td>
    		   </tr>
    		   <tr>	


	
				<td colspan="8">
				<!---
				<div class="buttonWrapper"><div class="BttnPill squareBttn"><span class="bttntxt">				
				<a href="#" tabindex="90" onClick="return false;">Calculate Payments</a></span><span class="bttncap"></span></div>
				<a href="#" tabindex="95" onClick="return resetAll();">Start Over</a></div>
				
				--->
				<br/>&nbsp;
				</td>
	
	

    		  	</tr>

    		</table>
		</td>
	</tr>
  <tr>
		<td class="content">
			<table id="summary">
				<tr>
					<td class="colOne" width="110"><a href="#" onClick="showGlossary('calcGlossary.htm#amountFinanced');">Amount Financed:</a>

    				</td><td class="colTwo" width="10">$
    				</td><td class="colThree" width="80"><input name="afLoan" type="text" value="0" size="6" class="customField" onFocus="this.blur()">
					
    				</td><td class="colFour" width="100"><a href="#" onClick="showGlossary('calcGlossary.htm#leasePrice');">Lease Price:</a>
    				</td><td class="colFive" width="10">$
    				</td><td class="colSix"><input name="lpLease" type="text" value="0" size="6" class="customField" onFocus="this.blur()">
    			 	</td>
				</tr>
				<tr>
					<td class="colOne"><a href="#" onClick="showGlossary('calcGlossary.htm#totalSpent');">Total Spent:</a>

    				</td><td class="colTwo">$
    				</td><td class="colThree"><input name="tsLoan" type="text" value="0" size="6" class="customField" onFocus="this.blur()">
    				</td><td class="colFour"><a href="#" onClick="showGlossary('calcGlossary.htm#totalSpent');">Total Spent:</a>
    				</td><td class="colFive">$
    				</td><td class="colSix"><input name="tsLease" type="text" value="0" size="6" class="customField" onFocus="this.blur()">
    			 	</td>
				</tr>
				<tr>
					<td class="colOne">

    				</td><td class="colTwo">
    				</td><td class="colThree">
    				</td><td class="colFour"><a href="#" onClick="showGlossary('calcGlossary.htm#residualValue');return false;">Residual Value:</a>
    				</td><td class="colFive">$
    				</td><td class="colSix"><input name="acLease" type="text" value="0" size="6" class="customField" onFocus="this.blur()">
    			 	</td>
				</tr>
				<tr>
					<td class="colOne"><a href="#" onClick="showGlossary('calcGlossary.htm#totalCost');">Total&nbsp;Cost&nbsp;to&nbsp;Own:</a>

    				</td><td class="colTwo">$
    				</td><td class="colThree"><input name="cctoLoan" type="text" value="0" size="6" class="customField" onFocus="this.blur()">
    				</td><td class="colFour"><a href="#" onClick="showGlossary('calcGlossary.htm#totalCost');">Total&nbsp;Cost&nbsp;to&nbsp;Own:</a>
    				</td><td class="colFive">$
    				</td><td class="colSix"><input name="cctoLease" type="text" value="0" size="6" class="customField" onFocus="this.blur()">
    			 	</td>
				</tr>
			 </table>

		</td>
	</tr>
	<tr>
		<td class="content">
      <ul><li>Acquisition fees, destination charges, tag, title, and other fees and incentives are not included
      in this calculation, which is an estimate only.</li>
	  <li class="asterix">We provide valid residual-value data for Terms of 24, 36, 48 and 60 months. If you choose another Term for your lease, the Residual Value and Money Factor shown may no longer be valid.</li></ul>
		</td>
	</tr>
</table>
<iframe id="storage" name="storage" scrolling="no" src="iframe.html">IFRAME</iframe>
</form>


</body>
</html>

